#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x8db5b679, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xd7a1187b, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xca8f5514, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xd4f86690, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x6ef0ca53, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x892bae16, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xa9d05c7b, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xc35e5b82, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xd19dfc8a, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xe02184e1, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x47dd8582, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xbe0ae9eb, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x84404d04, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x937c5a36, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x65e0b0b2, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x22b2567d, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x175fa376, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xe0e24426, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xb00b938b, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0xc86d4072, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x55d33ed5, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x09cc4282, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x1c4596c5, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x9fddce64, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xf1ca5324, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x14ca2efd, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xb3e3286f, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0xa424611c, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x358d3bfa, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x8a937d11, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x3f3dbe8b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0xc34395b1, "kthread_queue_work" },
	{ 0x9065c9e6, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d69da01, "_dev_warn" },
	{ 0x51e23187, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x3a675d92, "kthread_create_worker" },
	{ 0x99e761cc, "_dev_info" },
	{ 0xa527702c, "sched_set_fifo" },
	{ 0x4c39173f, "kthread_destroy_worker" },
	{ 0xa64b65, "crypto_register_aead" },
	{ 0xcf2b2366, "crypto_unregister_aead" },
	{ 0x45c20c8d, "crypto_register_ahash" },
	{ 0x21b06a26, "crypto_unregister_ahash" },
	{ 0x105d1408, "crypto_register_akcipher" },
	{ 0x7454b1d9, "crypto_unregister_akcipher" },
	{ 0x2bd7e89d, "crypto_register_kpp" },
	{ 0x4cad44b7, "crypto_unregister_kpp" },
	{ 0xe2c59413, "crypto_register_skcipher" },
	{ 0x10b40e1c, "crypto_unregister_skcipher" },
	{ 0xc5cddf16, "crypto_enqueue_request" },
	{ 0x5370d114, "crypto_dequeue_request" },
	{ 0x82295e93, "crypto_enqueue_request_head" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5388079424D07DA9929859C");
MODULE_INFO(rhelversion, "9.7");
