#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0xe17f869c, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0xef0519f7, "");
SYMBOL_CRC(__bcma_driver_register, 0x19c32ae0, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0xb9309fc5, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0xd70b20be, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x4e98e3df, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x6e83a1cd, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x785d1d81, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x95c35cb3, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x35e0cc46, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xddb54bdb, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x379a2d83, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x8c3e709e, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x5cf40283, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0xfa289c45, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x4a6a7a4a, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xb226f619, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x8771ec3c, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x0b389f82, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x04f90048, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x3e60ebcf, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x76cc2ced, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0xfaea2e06, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0xcb4c19b3, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x03c9ee0d, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0xb0224115, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9ba7a490, "pci_enable_device" },
	{ 0x2c7e825f, "dev_set_name" },
	{ 0xee32a09, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc3ebfac9, "of_address_to_resource" },
	{ 0xa152dd7f, "device_unregister" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x49cc77e6, "of_platform_default_populate" },
	{ 0xea40f1a, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xa569636, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xa986dc28, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x3d90f150, "get_device" },
	{ 0x48c7591a, "of_irq_parse_one" },
	{ 0x563ff897, "__dynamic_dev_dbg" },
	{ 0x96a9b808, "pci_unregister_driver" },
	{ 0x2d4944f7, "pci_read_config_dword" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x5ea794c2, "of_irq_parse_raw" },
	{ 0x6eae5bbd, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3078749a, "put_device" },
	{ 0x99e761cc, "_dev_info" },
	{ 0x5372a4dc, "gpiochip_get_data" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xde4c37c0, "bus_unregister" },
	{ 0x9065c9e6, "_dev_err" },
	{ 0x7f878621, "device_add" },
	{ 0x109b2599, "platform_device_unregister" },
	{ 0x28db2800, "mutex_lock" },
	{ 0xd908ad69, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x79121e9c, "pci_iounmap" },
	{ 0xdcb764ad, "memset" },
	{ 0x4d69da01, "_dev_warn" },
	{ 0x3e5d64d, "pci_set_master" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0xaa3165ff, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x966f834a, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8c523b40, "platform_device_register_full" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0x3f43b3e1, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5da0f8bc, "pci_disable_device" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xf0fa4144, "pcie_set_readrq" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0xde6b43f9, "irq_create_of_mapping" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x567b4019, "of_dma_configure_id" },
	{ 0x22063cc4, "driver_register" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x31cb4a1, "__dev_fwnode" },
	{ 0x6c63f3fe, "pci_write_config_dword" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0xf69acbec, "bus_register" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25C521496BAEF4FC1986235");
MODULE_INFO(rhelversion, "9.7");
