#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(edac_op_state, "_gpl", "");
KSYMTAB_DATA(edac_mem_types, "_gpl", "");
KSYMTAB_FUNC(edac_mc_alloc, "_gpl", "");
KSYMTAB_FUNC(edac_mc_free, "_gpl", "");
KSYMTAB_FUNC(edac_has_mcs, "_gpl", "");
KSYMTAB_FUNC(find_mci_by_dev, "_gpl", "");
KSYMTAB_FUNC(edac_mc_find, "", "");
KSYMTAB_FUNC(edac_get_owner, "_gpl", "");
KSYMTAB_FUNC(edac_mc_add_mc_with_groups, "_gpl", "");
KSYMTAB_FUNC(edac_mc_del_mc, "_gpl", "");
KSYMTAB_FUNC(edac_mc_find_csrow_by_page, "_gpl", "");
KSYMTAB_DATA(edac_layer_name, "_gpl", "");
KSYMTAB_FUNC(edac_raw_mc_handle_error, "_gpl", "");
KSYMTAB_FUNC(edac_mc_handle_error, "_gpl", "");
KSYMTAB_FUNC(edac_device_alloc_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_device_free_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_device_alloc_index, "_gpl", "");
KSYMTAB_FUNC(edac_device_add_device, "_gpl", "");
KSYMTAB_FUNC(edac_device_del_device, "_gpl", "");
KSYMTAB_FUNC(edac_device_handle_ce_count, "_gpl", "");
KSYMTAB_FUNC(edac_device_handle_ue_count, "_gpl", "");
KSYMTAB_FUNC(edac_get_sysfs_subsys, "_gpl", "");
KSYMTAB_FUNC(edac_queue_work, "_gpl", "");
KSYMTAB_FUNC(edac_mod_work, "_gpl", "");
KSYMTAB_FUNC(edac_stop_work, "_gpl", "");
KSYMTAB_FUNC(edac_pci_alloc_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_pci_free_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_pci_alloc_index, "_gpl", "");
KSYMTAB_FUNC(edac_pci_add_device, "_gpl", "");
KSYMTAB_FUNC(edac_pci_del_device, "_gpl", "");
KSYMTAB_FUNC(edac_pci_create_generic_ctl, "_gpl", "");
KSYMTAB_FUNC(edac_pci_release_generic_ctl, "_gpl", "");
KSYMTAB_FUNC(edac_pci_handle_pe, "_gpl", "");
KSYMTAB_FUNC(edac_pci_handle_npe, "_gpl", "");

SYMBOL_CRC(edac_op_state, 0xb51fbd64, "_gpl");
SYMBOL_CRC(edac_mem_types, 0x2c8dd6b8, "_gpl");
SYMBOL_CRC(edac_mc_alloc, 0x657b29ab, "_gpl");
SYMBOL_CRC(edac_mc_free, 0xa1b23c7f, "_gpl");
SYMBOL_CRC(edac_has_mcs, 0xefeafcf1, "_gpl");
SYMBOL_CRC(find_mci_by_dev, 0x4aaec398, "_gpl");
SYMBOL_CRC(edac_mc_find, 0xeff28a88, "");
SYMBOL_CRC(edac_get_owner, 0x5ab09745, "_gpl");
SYMBOL_CRC(edac_mc_add_mc_with_groups, 0x620f21b6, "_gpl");
SYMBOL_CRC(edac_mc_del_mc, 0xd68efe8b, "_gpl");
SYMBOL_CRC(edac_mc_find_csrow_by_page, 0x7807590d, "_gpl");
SYMBOL_CRC(edac_layer_name, 0xc0dcb59e, "_gpl");
SYMBOL_CRC(edac_raw_mc_handle_error, 0xdeffa0a7, "_gpl");
SYMBOL_CRC(edac_mc_handle_error, 0x913df21f, "_gpl");
SYMBOL_CRC(edac_device_alloc_ctl_info, 0x74e797c8, "_gpl");
SYMBOL_CRC(edac_device_free_ctl_info, 0xeb483fc7, "_gpl");
SYMBOL_CRC(edac_device_alloc_index, 0x6e3ff83a, "_gpl");
SYMBOL_CRC(edac_device_add_device, 0xfac8130d, "_gpl");
SYMBOL_CRC(edac_device_del_device, 0x6f686e27, "_gpl");
SYMBOL_CRC(edac_device_handle_ce_count, 0x154d5497, "_gpl");
SYMBOL_CRC(edac_device_handle_ue_count, 0xcfc7877f, "_gpl");
SYMBOL_CRC(edac_get_sysfs_subsys, 0xc4229457, "_gpl");
SYMBOL_CRC(edac_queue_work, 0x7d8b1ce6, "_gpl");
SYMBOL_CRC(edac_mod_work, 0xd4598c09, "_gpl");
SYMBOL_CRC(edac_stop_work, 0xc126d59f, "_gpl");
SYMBOL_CRC(edac_pci_alloc_ctl_info, 0xe6468340, "_gpl");
SYMBOL_CRC(edac_pci_free_ctl_info, 0x793e68be, "_gpl");
SYMBOL_CRC(edac_pci_alloc_index, 0x0c32ff8a, "_gpl");
SYMBOL_CRC(edac_pci_add_device, 0x4e1ffa0c, "_gpl");
SYMBOL_CRC(edac_pci_del_device, 0x53875771, "_gpl");
SYMBOL_CRC(edac_pci_create_generic_ctl, 0x1eda757c, "_gpl");
SYMBOL_CRC(edac_pci_release_generic_ctl, 0xc5d4db65, "_gpl");
SYMBOL_CRC(edac_pci_handle_pe, 0xd742a59e, "_gpl");
SYMBOL_CRC(edac_pci_handle_npe, 0xde8a2968, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7eb65f7, "try_module_get" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x1ecf1a06, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2c7e825f, "dev_set_name" },
	{ 0xb9852d11, "__traceiter_mc_event" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa152dd7f, "device_unregister" },
	{ 0x9e134b07, "pci_get_device" },
	{ 0x96848186, "scnprintf" },
	{ 0xa569636, "device_initialize" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x45a7b007, "bus_get_dev_root" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2d4944f7, "pci_read_config_dword" },
	{ 0x92997ed8, "_printk" },
	{ 0x742380e4, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x3078749a, "put_device" },
	{ 0x1949a8a3, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x3b39db03, "module_put" },
	{ 0x1bfcfaa6, "sysfs_create_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xde4c37c0, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7f878621, "device_add" },
	{ 0xdb2de8a4, "sysfs_remove_link" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa3521253, "mem_section" },
	{ 0x28db2800, "mutex_lock" },
	{ 0x9f785fb1, "pci_read_config_word" },
	{ 0x9166fada, "strncpy" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xf1e046cc, "panic" },
	{ 0x2ed2b6e0, "kobject_init_and_add" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x33579618, "device_register" },
	{ 0x63e0bd47, "device_del" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xa6a3afab, "pm_runtime_forbid" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x89c429e4, "__tracepoint_mc_event" },
	{ 0xbca4c5e, "kobject_uevent" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x24798ddc, "pci_read_config_byte" },
	{ 0x98cf60b3, "strlen" },
	{ 0x17e3e4e6, "param_ops_int" },
	{ 0x292548e1, "pci_write_config_word" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x35b9149e, "subsys_system_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x76308568, "kobject_get" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0xcbd3a806, "kobject_put" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A60855DBEEFBAEF3AE1A235");
MODULE_INFO(rhelversion, "9.7");
