#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tmc_free_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_alloc_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_data_range, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_get_data, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_get_catu_device, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_set_catu_ops, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_remove_catu_ops, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_get_buffer, "_gpl", "");

SYMBOL_CRC(tmc_free_sg_table, 0x17e9ba44, "_gpl");
SYMBOL_CRC(tmc_alloc_sg_table, 0x8a7f5460, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_data_range, 0x31677dc8, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_table, 0x63bdb424, "_gpl");
SYMBOL_CRC(tmc_sg_table_get_data, 0x40ab11ef, "_gpl");
SYMBOL_CRC(tmc_etr_get_catu_device, 0xf1025af3, "_gpl");
SYMBOL_CRC(tmc_etr_set_catu_ops, 0xd2489a1d, "_gpl");
SYMBOL_CRC(tmc_etr_remove_catu_ops, 0x04a264a1, "_gpl");
SYMBOL_CRC(tmc_etr_get_buffer, 0x9ab2de6f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb7aac1b, "coresight_get_platform_data" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x98989312, "is_acpi_device_node" },
	{ 0xc1e94722, "misc_deregister" },
	{ 0x9433de1f, "of_fwnode_ops" },
	{ 0xb7ae6598, "idr_find" },
	{ 0x51e23187, "devm_kmalloc" },
	{ 0xb3565cdb, "coresight_disclaim_device_unlocked" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0xe1fafa40, "dma_unmap_page_attrs" },
	{ 0x343e4998, "dma_free_pages" },
	{ 0xee0a5846, "coresight_init_driver" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x9fc05166, "coresight_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xb290fc17, "clk_get" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x563ff897, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfa197c21, "__pm_runtime_set_status" },
	{ 0xbe43413, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0xfd7c763a, "coresight_find_output_type" },
	{ 0xcf0b312c, "dma_alloc_pages" },
	{ 0xc52d1ff, "coresight_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xada7b03d, "pm_runtime_enable" },
	{ 0x7d278f47, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xc72449d3, "__free_pages" },
	{ 0xcb650700, "fwnode_property_read_u32_array" },
	{ 0x99e761cc, "_dev_info" },
	{ 0x780f9bf7, "coresight_claim_device" },
	{ 0x8868cf62, "iommu_get_domain_for_dev" },
	{ 0xa02e682a, "idr_remove" },
	{ 0x35c4c92b, "__dma_sync_single_for_cpu" },
	{ 0x9065c9e6, "_dev_err" },
	{ 0x3007434c, "idr_alloc" },
	{ 0xebb49e5d, "platform_get_resource" },
	{ 0xf13f9417, "coresight_simple_show_pair" },
	{ 0x28db2800, "mutex_lock" },
	{ 0xeebd4d17, "vmap" },
	{ 0xeca1a8e2, "coresight_timeout" },
	{ 0xdcb764ad, "memset" },
	{ 0x4d69da01, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x1567b242, "misc_register" },
	{ 0xd8c52a2e, "__alloc_pages" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0xe1fc991e, "nonseekable_open" },
	{ 0x7d43610a, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xaf7b9369, "fwnode_property_present" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0x792685e8, "__dma_sync_single_for_device" },
	{ 0x5802b1a7, "devm_ioremap_resource" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5f9c7b, "coresight_remove_driver" },
	{ 0xbd252c7c, "perf_get_aux" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x37d02da9, "coresight_simple_show32" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x22d7a38d, "dma_set_mask" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x331a13bf, "perf_aux_output_flag" },
	{ 0x8fde40ad, "coresight_alloc_device_name" },
	{ 0xf825b9c, "__pm_runtime_disable" },
	{ 0xecfb329f, "coresight_barrier_pkt" },
	{ 0x815588a6, "clk_enable" },
	{ 0xa08e1965, "fwnode_property_read_u8_array" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x65b938c4, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0x9115660c, "coresight_disclaim_device" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "coresight");

MODULE_ALIAS("amba:d???BB961");
MODULE_ALIAS("amba:d???BB9E8");
MODULE_ALIAS("amba:d???BB9E9");
MODULE_ALIAS("amba:d???BB9EA");
MODULE_ALIAS("acpi*:ARMHC501:*");
MODULE_ALIAS("acpi*:ARMHC97C:*");

MODULE_INFO(srcversion, "997326819944B907A5D5235");
MODULE_INFO(rhelversion, "9.7");
