#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0x264907f5, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0x5d54274f, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0x9c9224a8, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0x73332e85, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0x07c7c237, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0xeccfc848, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0x5f53cf44, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0x5c448527, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0x0f95a258, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0xaf4aa02d, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0x299b2722, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0xaa074d5f, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0x74266254, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0x26cfa2f1, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0x768c5a36, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x01783ff9, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0x412454f3, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0xd7617280, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0x69b35490, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0xc7db601b, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0x4f682701, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0x4de930a7, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0xc15cb919, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff140cb6, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x3a1afb04, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6d5e107, "__init_rwsem" },
	{ 0xc1e94722, "misc_deregister" },
	{ 0x820c6a73, "iommu_device_claim_dma_owner" },
	{ 0x68eed060, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8e2ba309, "iommu_group_get" },
	{ 0xbe93eb14, "pin_user_pages_remote" },
	{ 0x77821ec5, "iommu_iova_to_phys" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x980f4e44, "finish_wait" },
	{ 0x89924444, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x78377730, "fget" },
	{ 0xab3e9eb5, "__put_task_struct" },
	{ 0xd2e26d6, "__xas_next" },
	{ 0x55310f67, "xas_find" },
	{ 0x9ef81302, "iommu_dev_disable_feature" },
	{ 0x2c15e9b6, "unpin_user_pages" },
	{ 0xac738f79, "fd_install" },
	{ 0xe27103d1, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1a57f3ac, "unpin_user_page_range_dirty_lock" },
	{ 0x2c5de1b2, "__account_locked_vm" },
	{ 0xcd2e9bcb, "prepare_to_wait_event" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xbc9d45cd, "__wake_up" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0xac409595, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xc4377536, "kthread_use_mm" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xa0634dd5, "iommu_detach_group_handle" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8a612a1a, "iommu_detach_group" },
	{ 0x8819194d, "iommu_paging_domain_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb50c0daa, "iommu_dev_enable_feature" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x26e21e17, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xeb6d939a, "fput" },
	{ 0x8d46417f, "down_write" },
	{ 0x4fbacf55, "iommu_domain_free" },
	{ 0x8aafe306, "up_write" },
	{ 0x49b72892, "iommu_get_msi_cookie" },
	{ 0x6a235080, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xe34f4db3, "iommu_unmap" },
	{ 0x97b80684, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x5094da3b, "xas_load" },
	{ 0x28db2800, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x763bf48, "iommu_attach_handle_get" },
	{ 0xcab39958, "iommu_replace_group_handle" },
	{ 0xa1326c66, "iommu_device_release_dma_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x4d69da01, "_dev_warn" },
	{ 0x1567b242, "misc_register" },
	{ 0xa35dc790, "unpin_user_page" },
	{ 0xe0fd2db3, "__init_waitqueue_head" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0xbe4eba20, "iommu_put_resv_regions" },
	{ 0x70eef267, "down_read" },
	{ 0x740a44ce, "__mmdrop" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x51979223, "__xa_cmpxchg" },
	{ 0xe1fc991e, "nonseekable_open" },
	{ 0x810c01b4, "xa_erase" },
	{ 0x87911d40, "__mmap_lock_do_trace_start_locking" },
	{ 0x31a023e6, "iommu_get_resv_regions" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb3d46683, "mmput" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0x23c17100, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xce0137f9, "xa_destroy" },
	{ 0x2ec80838, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0x544b03f8, "__mmap_lock_do_trace_released" },
	{ 0x60e6a108, "xa_store" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8f5bc4cb, "set_page_dirty_lock" },
	{ 0x93ea425c, "device_iommu_capable" },
	{ 0xf71d4665, "xas_nomem" },
	{ 0x3e8a93c8, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x18ffd931, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0xd7db21b5, "iommu_attach_group_handle" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x9a6dca32, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x76bc62d8, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0xf4889263, "up_read" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbf108813, "pci_bus_type" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0D416640E735BA99285DAB9");
MODULE_INFO(rhelversion, "9.7");
