#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_bio_prison_create, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_destroy, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_alloc_cell, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_free_cell, "_gpl", "");
KSYMTAB_FUNC(dm_cell_key_has_valid_range, "", "");
KSYMTAB_FUNC(dm_bio_detain, "_gpl", "");
KSYMTAB_FUNC(dm_get_cell, "_gpl", "");
KSYMTAB_FUNC(dm_cell_release, "_gpl", "");
KSYMTAB_FUNC(dm_cell_release_no_holder, "_gpl", "");
KSYMTAB_FUNC(dm_cell_error, "_gpl", "");
KSYMTAB_FUNC(dm_cell_visit_release, "_gpl", "");
KSYMTAB_FUNC(dm_cell_promote_or_release, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_create, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_destroy, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_entry_inc, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_entry_dec, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_add_work, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_create_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_destroy_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_alloc_cell_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_free_cell_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_get_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_put_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_lock_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_quiesce_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_lock_promote_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_unlock_v2, "_gpl", "");

SYMBOL_CRC(dm_bio_prison_create, 0x753e20b2, "_gpl");
SYMBOL_CRC(dm_bio_prison_destroy, 0xb70b342a, "_gpl");
SYMBOL_CRC(dm_bio_prison_alloc_cell, 0xcbf9251e, "_gpl");
SYMBOL_CRC(dm_bio_prison_free_cell, 0xe3fa956d, "_gpl");
SYMBOL_CRC(dm_cell_key_has_valid_range, 0x476d2454, "");
SYMBOL_CRC(dm_bio_detain, 0xe0bf64cc, "_gpl");
SYMBOL_CRC(dm_get_cell, 0x616e9049, "_gpl");
SYMBOL_CRC(dm_cell_release, 0x041a8177, "_gpl");
SYMBOL_CRC(dm_cell_release_no_holder, 0x44cea0cd, "_gpl");
SYMBOL_CRC(dm_cell_error, 0x52e80a0c, "_gpl");
SYMBOL_CRC(dm_cell_visit_release, 0x816c1714, "_gpl");
SYMBOL_CRC(dm_cell_promote_or_release, 0x76ca4e65, "_gpl");
SYMBOL_CRC(dm_deferred_set_create, 0x17dd39d6, "_gpl");
SYMBOL_CRC(dm_deferred_set_destroy, 0x2eb01e04, "_gpl");
SYMBOL_CRC(dm_deferred_entry_inc, 0xca2e3a88, "_gpl");
SYMBOL_CRC(dm_deferred_entry_dec, 0x6791a44e, "_gpl");
SYMBOL_CRC(dm_deferred_set_add_work, 0xb6d5c65d, "_gpl");
SYMBOL_CRC(dm_bio_prison_create_v2, 0xd99e003d, "_gpl");
SYMBOL_CRC(dm_bio_prison_destroy_v2, 0xace9b57b, "_gpl");
SYMBOL_CRC(dm_bio_prison_alloc_cell_v2, 0x5eb8d9e7, "_gpl");
SYMBOL_CRC(dm_bio_prison_free_cell_v2, 0x5cadc2a3, "_gpl");
SYMBOL_CRC(dm_cell_get_v2, 0xc6d07bf9, "_gpl");
SYMBOL_CRC(dm_cell_put_v2, 0x3e032a0f, "_gpl");
SYMBOL_CRC(dm_cell_lock_v2, 0x2f520a2f, "_gpl");
SYMBOL_CRC(dm_cell_quiesce_v2, 0xc4044c18, "_gpl");
SYMBOL_CRC(dm_cell_lock_promote_v2, 0x2dc98ca3, "_gpl");
SYMBOL_CRC(dm_cell_unlock_v2, 0xb19805e4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0xc0a3da76, "mempool_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xab46e0f, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x413571c6, "mempool_free" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x18073859, "mempool_alloc" },
	{ 0xbce6250d, "bio_endio" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xdcb764ad, "memset" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0xa0dbf136, "mempool_exit" },
	{ 0xde2a2ea8, "kmem_cache_destroy" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A547DB92EAD4D1714406660");
MODULE_INFO(rhelversion, "9.7");
