#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x8ea44b94, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x642d8eb2, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0xab374bbe, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x8269ab18, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0xada849e1, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0x1ff321ce, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0xcd4a9708, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0xbb84a8e0, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x23ff8745, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x85c18c47, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x8d137ee1, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0x616c69c1, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0x5f456e51, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x7db86a0a, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x20bb81ce, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x341e7371, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2c7e825f, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x6ed33253, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x980f4e44, "finish_wait" },
	{ 0xa569636, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x538efc0f, "seq_lseek" },
	{ 0xcd2e9bcb, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xbc9d45cd, "__wake_up" },
	{ 0x3d90f150, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x70ccdfde, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xf29d95ea, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x674a7ca3, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x3078749a, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xde4c37c0, "bus_unregister" },
	{ 0x28db2800, "mutex_lock" },
	{ 0xd2e4956e, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x41264e89, "kthread_stop" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xe0fd2db3, "__init_waitqueue_head" },
	{ 0x773022de, "kthread_create_on_node" },
	{ 0xb992aad1, "seq_read" },
	{ 0x66fb7727, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x23c17100, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x92d63239, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe8d48135, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x64768175, "seq_puts" },
	{ 0x5e89a01f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x17e3e4e6, "param_ops_int" },
	{ 0xa62518bf, "single_open" },
	{ 0xf80e34e1, "debugfs_create_dir" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0xebf3a304, "cdev_init" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0xf69acbec, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6E16BA39B674A2A31DB9EFC");
MODULE_INFO(rhelversion, "9.7");
