#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0xa4829d13, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x8ad4bccb, "_gpl");
SYMBOL_CRC(media_device_init, 0xaf8faa7e, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0xed685b63, "_gpl");
SYMBOL_CRC(__media_device_register, 0xe8c840e4, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x86f2c49f, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x6b70ccfe, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x68a62478, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x0ebbec2c, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0xfe1fae71, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x031efdd8, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x59af9026, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0xf922a865, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xe54e0603, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x3ea9990e, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x65771b07, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x632d1db6, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0xcdc8b047, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x7e8a10a3, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x4e07a33b, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x5d1b28e8, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x75f224cd, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x2faf219a, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0xd5d56698, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x78e8c423, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0xc9e8d5f6, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x45831e08, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x56308d65, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x92bf3098, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x1d20f5e2, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x0c3d28c5, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x896c27ab, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x99a7fed9, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x56e1cbe0, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x8f88895a, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xd4ea7dca, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0xca6d3413, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0xc6c0e4da, "_gpl");
SYMBOL_CRC(media_devnode_create, 0xb315c47a, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0xfc6db865, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xee06967f, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xc833d03c, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xdf2b8f94, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x41181fda, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x82d01ec6, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0xc222c0c6, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0xd2c92db6, "_gpl");
SYMBOL_CRC(media_request_put, 0x750c5ab9, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x4e33506d, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x9a66611b, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x6687416b, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x815c5873, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x74874394, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x8ec98c02, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x74cf0c29, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x69be1773, "_gpl");
SYMBOL_CRC(media_device_delete, 0x516db45e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0x810851d6, "ida_alloc_range" },
	{ 0xb7eb65f7, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x3a1afb04, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6a15b166, "ida_destroy" },
	{ 0x2c7e825f, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6ed33253, "cdev_device_del" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa569636, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xac738f79, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbc9d45cd, "__wake_up" },
	{ 0x3d90f150, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x563ff897, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x92997ed8, "_printk" },
	{ 0xf29d95ea, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x3078749a, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xef3b8ca1, "fwnode_graph_parse_endpoint" },
	{ 0x3b39db03, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4d28fc1b, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xde4c37c0, "bus_unregister" },
	{ 0xeb6d939a, "fput" },
	{ 0x9065c9e6, "_dev_err" },
	{ 0x28db2800, "mutex_lock" },
	{ 0x78b4daec, "ida_free" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x4d69da01, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe0fd2db3, "__init_waitqueue_head" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xbf59d33e, "platform_bus_type" },
	{ 0x92d63239, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0xebf3a304, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbf108813, "pci_bus_type" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0x9b5e9c6c, "device_remove_file" },
	{ 0xf69acbec, "bus_register" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "53E3D798C82384C14394313");
MODULE_INFO(rhelversion, "9.7");
