#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0xc73b7e7d, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0xb0020f31, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xbacb7a54, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x35bd97ff, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0xd6de2fad, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xec7f173a, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a73043, "mdiobus_alloc_size" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x803de15, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x623ea4a3, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xacac903e, "bpf_prog_put" },
	{ 0x2761fc21, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x924da05f, "skb_copy_bits" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x51e23187, "devm_kmalloc" },
	{ 0x523d70a8, "eth_mac_addr" },
	{ 0x6954d5ef, "skb_put" },
	{ 0xa38854c5, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8b470a6d, "netdev_update_features" },
	{ 0x3271fd6b, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x6d298b4e, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf80fd7cb, "hrtimer_try_to_cancel" },
	{ 0xfe969569, "bpf_warn_invalid_xdp_action" },
	{ 0x5f60986b, "unregister_netdev" },
	{ 0x94d742df, "xdp_convert_zc_to_xdp_frame" },
	{ 0x6c401b12, "xdp_features_set_redirect_target" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0xe0790fc8, "gpiod_set_value_cansleep" },
	{ 0xe1fafa40, "dma_unmap_page_attrs" },
	{ 0xa25e84d8, "hrtimer_init" },
	{ 0xcc52453e, "skb_add_rx_frag" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x5685bc99, "ptp_clock_index" },
	{ 0x43e2fb3f, "phy_attached_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x538efc0f, "seq_lseek" },
	{ 0xe50c107c, "page_pool_destroy" },
	{ 0x9fc3504a, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfffa7a6e, "netdev_warn" },
	{ 0xdf7d6b23, "devm_gpiod_get_optional" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbc9d45cd, "__wake_up" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xfe763743, "flow_rule_match_ipv4_addrs" },
	{ 0xa421a8e, "xdp_rxq_info_unreg_mem_model" },
	{ 0x9d1d0957, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xb9a66f5c, "netdev_err" },
	{ 0x3ef70b13, "phylink_limit_mac_speed" },
	{ 0xc6890958, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x67da7ef7, "dev_driver_string" },
	{ 0xae632350, "pinctrl_pm_select_default_state" },
	{ 0xc51abb1, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x51769539, "eth_type_trans" },
	{ 0xfa197c21, "__pm_runtime_set_status" },
	{ 0xbe43413, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xe91a74dd, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x6c6d39cf, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x68637b10, "pm_wakeup_dev_event" },
	{ 0x39f3e9eb, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x3b7a4b19, "__napi_schedule" },
	{ 0xada7b03d, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x3e7dbea9, "netif_device_detach" },
	{ 0x384b202e, "device_property_read_u32_array" },
	{ 0xa18596f3, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x70de2f6b, "rt_write_unlock" },
	{ 0x99e761cc, "_dev_info" },
	{ 0x3790df94, "xpcs_create_mdiodev" },
	{ 0xdd036cf1, "napi_gro_receive" },
	{ 0x7173b3e4, "netif_device_attach" },
	{ 0xeeec03cb, "xdp_features_clear_redirect_target" },
	{ 0xed3a053c, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xad76509, "netdev_pick_tx" },
	{ 0x4cad8166, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb0123b05, "xdp_rxq_info_is_reg" },
	{ 0xa5018420, "devm_alloc_etherdev_mqs" },
	{ 0x72dedafc, "flow_block_cb_setup_simple" },
	{ 0x7bf5a6e6, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x850b8bd3, "dev_open" },
	{ 0x35c4c92b, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x9065c9e6, "_dev_err" },
	{ 0xacea853b, "xpcs_destroy" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2de432fd, "pinctrl_pm_select_sleep_state" },
	{ 0xe05e173c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xce8d4ac6, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x569ff075, "ptp_clock_register" },
	{ 0xe4093db8, "__of_mdiobus_register" },
	{ 0x595dfb6e, "__traceiter_xdp_exception" },
	{ 0x558c0244, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x5a1e8b76, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x2aed0f64, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x28db2800, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x92242b5e, "dma_alloc_attrs" },
	{ 0xd2e4956e, "debugfs_remove" },
	{ 0xdbe1cfb3, "napi_enable" },
	{ 0x1aa84285, "xpcs_get_interfaces" },
	{ 0x93d74222, "register_netdev" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xeb599eec, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0xe5868105, "phylink_generic_validate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf145d2a4, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x68542c3f, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x86d76437, "netif_tx_wake_queue" },
	{ 0x98152a84, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x387cf95a, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0x4d69da01, "_dev_warn" },
	{ 0x38c1b2b1, "flow_rule_match_ports" },
	{ 0x76011499, "phylink_fwnode_phy_connect" },
	{ 0xddf76427, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x63512952, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xa8aefb89, "netif_schedule_queue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf2f6a6b4, "fwnode_get_named_child_node" },
	{ 0xe0fd2db3, "__init_waitqueue_head" },
	{ 0xd1f91389, "ptp_clock_unregister" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0x665849cb, "xpcs_get_an_mode" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x85702fb0, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe9e768c2, "xdp_return_frame_rx_napi" },
	{ 0x6ec078d6, "netdev_alert" },
	{ 0x7d43610a, "dma_set_coherent_mask" },
	{ 0xb992aad1, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xb927dea1, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0xce3bc9d5, "rt_read_lock" },
	{ 0x817735c3, "debugfs_rename" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x66fb7727, "debugfs_create_file" },
	{ 0x9e6ab3cd, "dma_free_attrs" },
	{ 0xb007bf55, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x792685e8, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2887248f, "flow_rule_match_vlan" },
	{ 0x1928521e, "xdp_rxq_info_unreg" },
	{ 0xd32ade96, "page_pool_alloc_pages" },
	{ 0x992f22b1, "__xdp_rxq_info_reg" },
	{ 0x74ad8b0f, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa08ce32d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe8d48135, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xd20ef67e, "mdiobus_get_phy" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd3219e42, "netif_carrier_on" },
	{ 0x2b951a78, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd550fc6, "hrtimer_cancel" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x5e89a01f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x22d7a38d, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x6953cc76, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0xc96ccb6b, "xdp_master_redirect" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0x9667b078, "napi_schedule_prep" },
	{ 0xa1b39ca8, "napi_disable" },
	{ 0xdc88fe60, "dev_kfree_skb_any_reason" },
	{ 0x7f167eaf, "eth_header_parse_protocol" },
	{ 0x17e3e4e6, "param_ops_int" },
	{ 0xadba2cbc, "phylink_pcs_pre_init" },
	{ 0xa62518bf, "single_open" },
	{ 0xf825b9c, "__pm_runtime_disable" },
	{ 0xf80e34e1, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xc52e13e5, "skb_clone_tx_timestamp" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x65b938c4, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x357c393f, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x31cb4a1, "__dev_fwnode" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0x4559e817, "netdev_info" },
	{ 0x5538733c, "page_pool_put_unrefed_page" },
	{ 0x115fc24d, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "F45351FE0258CEE1E5D9C33");
MODULE_INFO(rhelversion, "9.7");
