#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xfa8ed31c, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x28572ed8, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x12a5a38d, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x9f0d141a, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x74c9583f, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x43abf450, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x005ab668, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x3b92b894, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x8da6c1e9, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xbde4a40a, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x05167429, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x5d9d6191, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x99e0ee8e, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x7e2fff14, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x4fb553ec, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x0089a3d8, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x0ff2e353, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x69d65d0c, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0xb360c015, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x6f4375e1, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0xef2dde73, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x359c636c, "mdiobus_write" },
	{ 0x732b6753, "mdiobus_read" },
	{ 0x182969a9, "phy_write_mmd" },
	{ 0xc51b1f2c, "phy_modify" },
	{ 0xc8380c46, "phy_trigger_machine" },
	{ 0x32bef8f6, "phy_error" },
	{ 0x810fb24f, "phy_modify_changed" },
	{ 0x87c51d11, "genphy_update_link" },
	{ 0x9dfbda97, "genphy_read_lpa" },
	{ 0x2a23edb5, "phy_resolve_aneg_pause" },
	{ 0xf47c5717, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9065c9e6, "_dev_err" },
	{ 0xa91daf4e, "phy_read_mmd" },
	{ 0x2bbb6338, "ethnl_cable_test_result_with_src" },
	{ 0x8462316a, "ethnl_cable_test_fault_length_with_src" },
	{ 0x2ecd9255, "phy_modify_mmd" },
	{ 0x39664a16, "genphy_soft_reset" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.7");
