#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x5206b824, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x3b059f76, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xa3697231, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x30de3914, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x4cac1136, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x5c6d4630, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x44980939, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0xfacb3e4b, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x6bb38c60, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xbc9d45cd, "__wake_up" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0xac2fae3b, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3007434c, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb9a66f5c, "netdev_err" },
	{ 0xa02e682a, "idr_remove" },
	{ 0x82e360dd, "skb_copy_datagram_iter" },
	{ 0xc996f55b, "_copy_to_iter" },
	{ 0xcf41fb45, "iov_iter_advance" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3271fd6b, "consume_skb" },
	{ 0x980f4e44, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x23024714, "prepare_to_wait" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xebf3a304, "cdev_init" },
	{ 0xa234d6b8, "cdev_add" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xddd004df, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x37a0cba, "kfree" },
	{ 0x74499762, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x49d58c6f, "skb_push" },
	{ 0x69cdb70d, "__skb_gso_segment" },
	{ 0xd3e6858c, "kfree_skb_list_reason" },
	{ 0x39f3e9eb, "skb_checksum_help" },
	{ 0x8df4b514, "__skb_get_hash_net" },
	{ 0x155f7991, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb7ae6598, "idr_find" },
	{ 0xec95c474, "sk_alloc" },
	{ 0xe0fd2db3, "__init_waitqueue_head" },
	{ 0xdb8946cf, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xc3340843, "__skb_flow_dissect" },
	{ 0xe9de3d59, "skb_partial_csum_set" },
	{ 0x292e0e35, "__pskb_pull_tail" },
	{ 0xa1f1fb80, "iov_iter_npages" },
	{ 0x61a642e7, "_copy_from_iter" },
	{ 0xc09a9308, "sock_alloc_send_pskb" },
	{ 0x6954d5ef, "skb_put" },
	{ 0x5b1e51d, "zerocopy_sg_from_iter" },
	{ 0x5088e45c, "__dev_queue_xmit" },
	{ 0x2d0ae376, "skb_copy_datagram_from_iter" },
	{ 0xa68d06b4, "iov_iter_revert" },
	{ 0x924da05f, "skb_copy_bits" },
	{ 0xb9150b4a, "build_skb" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x55ecdc0f, "dev_set_mac_address_user" },
	{ 0xba0eee1b, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F2448FE0CC839943825A4F");
MODULE_INFO(rhelversion, "9.7");
