#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x605a2dd8, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x5745acbf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd2f97f59, "fasync_helper" },
	{ 0x1121a71a, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4559e817, "netdev_info" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x147d343a, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x105d52a2, "from_kgid_munged" },
	{ 0x395c2fb6, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9188c53d, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x97ef5740, "dev_get_tstats64" },
	{ 0x32ab4c39, "netif_tx_stop_all_queues" },
	{ 0x92997ed8, "_printk" },
	{ 0xdbf2da5, "rtnl_link_register" },
	{ 0x1567b242, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc1e94722, "misc_deregister" },
	{ 0xb9571b36, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xac2fae3b, "sk_skb_reason_drop" },
	{ 0xce8d4ac6, "xdp_return_frame" },
	{ 0x8a3a94c8, "__wake_up_sync_key" },
	{ 0x5afacfcc, "kill_fasync" },
	{ 0xd3219e42, "netif_carrier_on" },
	{ 0xa08ce32d, "netif_carrier_off" },
	{ 0xacac903e, "bpf_prog_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x954117b5, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc52e13e5, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9df6c6c8, "skb_copy_ubufs" },
	{ 0x26eb6877, "netdev_core_stats_inc" },
	{ 0x99e0a42c, "skb_tx_error" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xa38854c5, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x52842529, "___pskb_trim" },
	{ 0xd78f5d13, "__skb_get_hash_symmetric_net" },
	{ 0xb9150b4a, "build_skb" },
	{ 0x6954d5ef, "skb_put" },
	{ 0x86a794eb, "skb_set_owner_w" },
	{ 0xec95c474, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0xe0fd2db3, "__init_waitqueue_head" },
	{ 0xdb8946cf, "sock_init_data_uid" },
	{ 0x155f7991, "sk_free" },
	{ 0xdd036cf1, "napi_gro_receive" },
	{ 0xe91a74dd, "napi_complete_done" },
	{ 0x9fc3504a, "xdp_do_redirect" },
	{ 0xfe969569, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x595dfb6e, "__traceiter_xdp_exception" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xe9e768c2, "xdp_return_frame_rx_napi" },
	{ 0x94d742df, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xea5b71ea, "add_wait_queue" },
	{ 0x4ea34a33, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x5a9c7f47, "skb_queue_purge_reason" },
	{ 0xa1b39ca8, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1928521e, "xdp_rxq_info_unreg" },
	{ 0x9d1d0957, "__netif_napi_del" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3b39db03, "module_put" },
	{ 0x83af6c92, "napi_get_frags" },
	{ 0xd5522ec6, "iov_iter_single_seg_count" },
	{ 0x7fb15986, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe8d48135, "seq_printf" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x558c0244, "netif_set_real_num_tx_queues" },
	{ 0x5a1e8b76, "netif_set_real_num_rx_queues" },
	{ 0x80eb1833, "unregister_netdevice_queue" },
	{ 0x78ee80f0, "netdev_state_change" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xc3340843, "__skb_flow_dissect" },
	{ 0xe9de3d59, "skb_partial_csum_set" },
	{ 0x292e0e35, "__pskb_pull_tail" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xb0123b05, "xdp_rxq_info_is_reg" },
	{ 0x992f22b1, "__xdp_rxq_info_reg" },
	{ 0xc51abb1, "xdp_rxq_info_reg_mem_model" },
	{ 0x6d298b4e, "netif_napi_add_weight" },
	{ 0xdbe1cfb3, "napi_enable" },
	{ 0xa987875, "lock_sock_nested" },
	{ 0xe102c779, "sk_attach_filter" },
	{ 0x17975164, "release_sock" },
	{ 0x2a5bc36, "__dev_get_by_name" },
	{ 0xbc7211ce, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x5450775c, "alloc_netdev_mqs" },
	{ 0x469d5cb0, "ip_tunnel_header_ops" },
	{ 0xcaf2e247, "register_netdevice" },
	{ 0x86d76437, "netif_tx_wake_queue" },
	{ 0x27d895eb, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4846d3d1, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc996f55b, "_copy_to_iter" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x82e360dd, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xcf41fb45, "iov_iter_advance" },
	{ 0xb9a66f5c, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3271fd6b, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x23599e09, "sock_recv_errqueue" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd6a0e457, "bpf_prog_get_type_dev" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xc02b3a93, "__page_frag_cache_drain" },
	{ 0x51769539, "eth_type_trans" },
	{ 0xc96ccb6b, "xdp_master_redirect" },
	{ 0xdb1f2a09, "do_xdp_generic" },
	{ 0x5c010bf3, "__folio_put" },
	{ 0xe6d2964d, "skb_page_frag_refill" },
	{ 0xa6279dd7, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x61a642e7, "_copy_from_iter" },
	{ 0xa1f1fb80, "iov_iter_npages" },
	{ 0x28db2800, "mutex_lock" },
	{ 0x2d0ae376, "skb_copy_datagram_from_iter" },
	{ 0xc09a9308, "sock_alloc_send_pskb" },
	{ 0x5b1e51d, "zerocopy_sg_from_iter" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0x49d58c6f, "skb_push" },
	{ 0xf13ed0eb, "eth_get_headlen" },
	{ 0x9667b078, "napi_schedule_prep" },
	{ 0x3688ae8f, "napi_gro_frags" },
	{ 0xa68d06b4, "iov_iter_revert" },
	{ 0x3b7a4b19, "__napi_schedule" },
	{ 0x352dce52, "get_net_ns" },
	{ 0x7ebcebd4, "open_related_ns" },
	{ 0xba0eee1b, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x754e038f, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x8b470a6d, "netdev_update_features" },
	{ 0x55ecdc0f, "dev_set_mac_address_user" },
	{ 0x801a44c5, "make_kuid" },
	{ 0x5d900b68, "init_user_ns" },
	{ 0xd3ce3dc1, "from_kuid" },
	{ 0x9836a9ae, "sk_detach_filter" },
	{ 0xb85ea7a, "call_netdevice_notifiers" },
	{ 0xa0d3129e, "__module_get" },
	{ 0x85fbf615, "from_kgid" },
	{ 0xf145d2a4, "ethtool_op_get_link" },
	{ 0x357c393f, "ethtool_op_get_ts_info" },
	{ 0xefaee51b, "passthru_features_check" },
	{ 0x523d70a8, "eth_mac_addr" },
	{ 0xcc191bf6, "eth_validate_addr" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A61D8AF9C02EAEB79D30D39");
MODULE_INFO(rhelversion, "9.7");
