#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x3c9e469e, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x79d460eb, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xf6aaf4b2, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x43eacacc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xa26ad337, "__skb_checksum_complete" },
	{ 0xc27591bd, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x924da05f, "skb_copy_bits" },
	{ 0x37bee4de, "__nlmsg_put" },
	{ 0xeb7a7a0d, "netdev_adjacent_change_commit" },
	{ 0x523d70a8, "eth_mac_addr" },
	{ 0x6954d5ef, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd8affd2e, "ip6_dst_hoplimit" },
	{ 0xf26052e, "param_ops_ushort" },
	{ 0x3271fd6b, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0xa1a0bf82, "udp_sock_create4" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0xf1836658, "udp_tunnel6_xmit_skb" },
	{ 0xdbf2da5, "rtnl_link_register" },
	{ 0xe5e469c, "__unregister_nexthop_notifier" },
	{ 0x77f1a5ea, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcc191bf6, "eth_validate_addr" },
	{ 0x76355b72, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x6925b8f1, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf875dfd0, "rtnl_create_link" },
	{ 0x80eb1833, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x45daa88, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x27d895eb, "ether_setup" },
	{ 0xb93460be, "udp_tunnel_drop_rx_port" },
	{ 0xa4db3b7c, "netdev_upper_dev_link" },
	{ 0x7fb15986, "pskb_expand_head" },
	{ 0xe6227a7c, "register_pernet_subsys" },
	{ 0x51769539, "eth_type_trans" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x6fdbc912, "__alloc_skb" },
	{ 0x638b9869, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe4508e2a, "eth_gro_complete" },
	{ 0x82058ba6, "rtnl_set_sk_err" },
	{ 0x238d2ced, "eth_gro_receive" },
	{ 0x2a13c9a3, "rtnl_configure_link" },
	{ 0x255b4281, "skb_tunnel_check_pmtu" },
	{ 0x4f352ac4, "udp_tunnel_dst_lookup" },
	{ 0xe0f50714, "rtnl_unicast" },
	{ 0x23dfef1a, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x8df4b514, "__skb_get_hash_net" },
	{ 0x8e93460d, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xea5a523a, "__dev_get_by_index" },
	{ 0xb9571b36, "rtnl_link_unregister" },
	{ 0xea1ffc97, "ipv6_stub" },
	{ 0xe05e173c, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xdf9b77d0, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xac2fae3b, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa638c251, "dev_get_by_index_rcu" },
	{ 0x2679605, "gro_cells_receive" },
	{ 0x49d58c6f, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x26b2435c, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x4846d3d1, "free_netdev" },
	{ 0x916b050d, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x8a32c81f, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xa987875, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf145d2a4, "ethtool_op_get_link" },
	{ 0xb3b26071, "nexthop_find_by_id" },
	{ 0xf5a09e60, "arp_create" },
	{ 0xc3febe49, "__ethtool_get_link_ksettings" },
	{ 0x7322a9ad, "netdev_adjacent_change_prepare" },
	{ 0x42af3e2f, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x8be1a420, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xd6ec403d, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0xb55c246e, "rht_bucket_nested_insert" },
	{ 0xb19b815a, "netdev_adjacent_change_abort" },
	{ 0x2f8d54ee, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x4a2cb293, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb9b8f984, "__iptunnel_pull_header" },
	{ 0x292e0e35, "__pskb_pull_tail" },
	{ 0x97ef5740, "dev_get_tstats64" },
	{ 0x6ed653a, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x8ab57907, "rhashtable_destroy" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0x7c830e0c, "setup_udp_tunnel_sock" },
	{ 0xb159c106, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8344e7e2, "skb_trim" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x85702fb0, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x510ef6b5, "skb_scrub_packet" },
	{ 0x27168f8c, "nexthop_select_path" },
	{ 0x962979f7, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xca8c0eb1, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5fb8ac17, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x23c17100, "param_ops_bool" },
	{ 0xe93d8bd8, "udp_tun_rx_dst" },
	{ 0x47878c00, "rtnl_notify" },
	{ 0x5547cc02, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x624d907b, "__netif_rx" },
	{ 0xc12b0c55, "skb_clone" },
	{ 0x19c28fb9, "metadata_dst_alloc" },
	{ 0xfaf80370, "dst_release" },
	{ 0x844bf488, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x142052e2, "udp_tunnel_notify_del_rx_port" },
	{ 0x1c9842a1, "register_nexthop_notifier" },
	{ 0xd217ac70, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xd254031f, "gro_find_receive_by_type" },
	{ 0x26eb6877, "netdev_core_stats_inc" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0x4559e817, "netdev_info" },
	{ 0x916b4cb2, "neigh_lookup" },
	{ 0x17975164, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcaf2e247, "register_netdevice" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2843CFAE04B8BC03483FF07");
MODULE_INFO(rhelversion, "9.7");
