#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xc349a929, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xa6a8403b, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x95242fa9, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x6f898d42, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x4048fc53, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xf0f2517d, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x3af0f9ea, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0xfe4af373, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x4c81d197, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x3426b929, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x9fd9596c, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x813e1cad, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x992cb685, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xac593581, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xeaf84559, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xcf68540b, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xc4ce7831, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x6d7151de, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xf47e6516, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x63edc986, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x0057c367, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x1afd2705, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xb1e18475, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x27008770, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x1e3bf3c8, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x434ca591, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xa12d9dcb, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x50a69441, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xb0febf69, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x68884ec4, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x93f0a01f, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x0ee26bad, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x05f6f3b6, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0xe1a6b971, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x2b07ad08, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xa5c1c6b3, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x3d3493bd, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x1bd7a421, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x9fa75e9a, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xe3b61867, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x6c27cfc0, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x7609c00c, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x131a45c3, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xf8f30e39, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x194694b7, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x915bf7c1, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x292b5735, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x2fd8ff36, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x3f0504cc, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x6b21443b, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xaf1d7645, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x08046d0a, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x90561bd6, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x9ce7c870, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xae81da93, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x8e7ec2b6, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xd0080fb0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x7e3c923e, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x2caae9e1, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x1090dd80, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x17c5a7fe, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x421d56ea, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x0fb88941, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x94e686d5, "set_capacity_and_notify" },
	{ 0xf5feb08, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd199face, "set_disk_ro" },
	{ 0x7256eb12, "__blk_alloc_disk" },
	{ 0x810851d6, "ida_alloc_range" },
	{ 0xb7eb65f7, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x2e7d6dda, "blk_rq_integrity_map_user" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x6a15b166, "ida_destroy" },
	{ 0x84be800a, "device_remove_file_self" },
	{ 0x57b39720, "param_ops_uint" },
	{ 0xc804b6b, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2c7e825f, "dev_set_name" },
	{ 0xa4a8e9b5, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x9528ddb9, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x8a06d87d, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96b0a74c, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xfd88b91a, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x6ed33253, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x980f4e44, "finish_wait" },
	{ 0xfa8a1624, "queue_limits_stack_bdev" },
	{ 0x79aeed22, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xa569636, "device_initialize" },
	{ 0x871d59b3, "blk_mq_unquiesce_queue" },
	{ 0x86f561ca, "blk_mq_quiesce_queue" },
	{ 0x3a026128, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x68d12335, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xc636b89e, "__traceiter_block_bio_remap" },
	{ 0x1bd75543, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x15cdcb1b, "bpf_trace_run2" },
	{ 0xcd2e9bcb, "prepare_to_wait_event" },
	{ 0xbd9ba465, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xbc9d45cd, "__wake_up" },
	{ 0xce14dbd, "event_triggers_call" },
	{ 0x4a9c4b23, "synchronize_srcu" },
	{ 0x97028e9b, "param_ops_byte" },
	{ 0xab46e0f, "kmem_cache_create" },
	{ 0x3d90f150, "get_device" },
	{ 0xacd1c4e8, "blk_mq_end_request" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe4b4d098, "__blk_mq_alloc_disk" },
	{ 0x563ff897, "__dynamic_dev_dbg" },
	{ 0x413571c6, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1e7c9ee7, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x40ef0b91, "blk_mq_alloc_tag_set" },
	{ 0xbd31c5b, "blk_rq_is_poll" },
	{ 0x57fdab00, "trace_event_buffer_commit" },
	{ 0x3cefd640, "crypto_destroy_tfm" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x134424fe, "mempool_create" },
	{ 0x1d2fa6dd, "put_disk" },
	{ 0x7249d633, "crypto_alloc_kpp" },
	{ 0xf29d95ea, "cdev_device_add" },
	{ 0x7b98a248, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x808642fa, "blk_execute_rq" },
	{ 0x3078749a, "put_device" },
	{ 0x9559e29, "trace_event_ignore_this_pid" },
	{ 0xf7edeb65, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0x7d278f47, "kmalloc_node_trace" },
	{ 0x18073859, "mempool_alloc" },
	{ 0x1bd23b02, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0xc72449d3, "__free_pages" },
	{ 0x99e761cc, "_dev_info" },
	{ 0x69fb110a, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3b39db03, "module_put" },
	{ 0x1bfcfaa6, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x84c4bafa, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbb3eab1e, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x211290ac, "blk_mq_quiesce_tagset" },
	{ 0xf688fc0f, "kobject_uevent_env" },
	{ 0xbce6250d, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xa2243207, "init_srcu_struct" },
	{ 0x71c95fd7, "perf_trace_run_bpf_submit" },
	{ 0x9065c9e6, "_dev_err" },
	{ 0xa781fdc0, "blk_revalidate_disk_zones" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x3c44a721, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7f878621, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xbeea7446, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xdb2de8a4, "sysfs_remove_link" },
	{ 0x229ab6af, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x53f96d49, "__srcu_read_lock" },
	{ 0x4b910629, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x8d85acd0, "submit_bio_noacct" },
	{ 0x97b80684, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x28db2800, "mutex_lock" },
	{ 0xa04b0a93, "blk_sync_queue" },
	{ 0x9b09ffb2, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xa667bb8c, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x656057a8, "blk_mq_alloc_request_hctx" },
	{ 0xd13a12a8, "blk_mq_alloc_request" },
	{ 0x78b4daec, "ida_free" },
	{ 0x16813bf4, "crypto_shash_update" },
	{ 0xe102dd3f, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x799eeb18, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x39cf7011, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbace09fb, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x15590ea3, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x20b4079a, "blk_put_queue" },
	{ 0x765aa5ce, "bpf_trace_run1" },
	{ 0x63e0bd47, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0x4d69da01, "_dev_warn" },
	{ 0xcfade23a, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xe0fd2db3, "__init_waitqueue_head" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0x7660efd4, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x2c766e33, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x810c01b4, "xa_erase" },
	{ 0xa121a57a, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xfa8426fb, "blk_mq_complete_request" },
	{ 0x30f6a786, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xfb0003e2, "trace_event_buffer_reserve" },
	{ 0x3cdeccdf, "crypto_shash_final" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x23c17100, "param_ops_bool" },
	{ 0xd198906d, "blk_mq_destroy_queue" },
	{ 0xce0137f9, "xa_destroy" },
	{ 0x396ce4f2, "blk_freeze_queue_start" },
	{ 0x8eb4f0f2, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x2ec80838, "xa_find" },
	{ 0x21fb2cbf, "alloc_pages" },
	{ 0xc1a45511, "mempool_destroy" },
	{ 0x4b011b78, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65f3c8c, "__tracepoint_block_bio_complete" },
	{ 0x60e6a108, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x5abe1590, "__srcu_read_unlock" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x3bfd8c7, "blk_mq_unfreeze_queue" },
	{ 0x16dd9461, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x7eda7ccc, "queue_limits_commit_update" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9a6dca32, "xa_find_after" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x112f8f22, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1e94a963, "crypto_alloc_shash" },
	{ 0x9711cc2e, "blk_mq_freeze_queue_wait" },
	{ 0x1904e091, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xba2ada4b, "blk_mq_requeue_request" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0xb5144d0c, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xebf3a304, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb71bb16e, "bdev_end_io_acct" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0xb0000dd9, "blk_steal_bios" },
	{ 0xde2a2ea8, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "0DB9151F60FD30DF99FBDC8");
MODULE_INFO(rhelversion, "9.7");
