#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0x253716ce, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0x21e2296a, "_gpl");
SYMBOL_CRC(sas_free_task, 0x38c7dc3b, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x38508d68, "");
SYMBOL_CRC(sas_resume_ha, 0x41983f11, "");
SYMBOL_CRC(sas_suspend_ha, 0xee3249c9, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x9b03f79e, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x3bffdac6, "_gpl");
SYMBOL_CRC(sas_register_ha, 0xf36dd765, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x2fa44fb7, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x6b560dac, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x2a1504d0, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xee0c03a1, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x29a6745f, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x0b5f4968, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x11ad30cc, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x391b9802, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x44ec4100, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x91f2d88f, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x2a8265ad, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xc6a6015c, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x8d8e7884, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xcbc948b3, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xb624de08, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x732c2f72, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x1aefe025, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xe6447920, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x1a3e72b5, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x797ef575, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x6d2bf721, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36b69187, "ata_qc_complete" },
	{ 0x546908fb, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xbe94047f, "sas_rphy_remove" },
	{ 0xeac53007, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x1ec16474, "ata_sas_port_destroy" },
	{ 0x337705dd, "bsg_job_done" },
	{ 0x2678387b, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xf3da1946, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x51eb6cdd, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x980f4e44, "finish_wait" },
	{ 0x9784a133, "scsi_schedule_eh" },
	{ 0xaecebfd1, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x11a1222f, "ata_host_init" },
	{ 0x235e990, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x5c5c210b, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x49a195a7, "sas_port_get_phy" },
	{ 0x4de892ef, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xcd2e9bcb, "prepare_to_wait_event" },
	{ 0xbc9d45cd, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0xab46e0f, "kmem_cache_create" },
	{ 0x3d90f150, "get_device" },
	{ 0xb0b56bf5, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xd575540a, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3078749a, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x8fd4fc29, "ata_sas_tport_delete" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xa272ddf0, "kmem_cache_alloc" },
	{ 0x99e761cc, "_dev_info" },
	{ 0x301583c7, "sas_phy_free" },
	{ 0x579b3f10, "scsi_eh_finish_cmd" },
	{ 0x8248f0a, "ata_sas_port_alloc" },
	{ 0x6895d364, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x1913d04b, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x28db2800, "mutex_lock" },
	{ 0xdb312a83, "sas_port_mark_backlink" },
	{ 0xaa5c4e35, "kmem_cache_free" },
	{ 0xdda12f93, "ata_std_qc_defer" },
	{ 0x491c1a76, "ata_sas_port_start" },
	{ 0x977aed9e, "ata_scsi_port_error_handler" },
	{ 0x21bf6b88, "ata_change_queue_depth" },
	{ 0xc0f09818, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd87ee6f4, "sas_end_device_alloc" },
	{ 0x6eedae03, "mutex_lock_interruptible" },
	{ 0xe301533f, "sas_read_port_mode_page" },
	{ 0x2305471f, "sas_expander_alloc" },
	{ 0x3b6e5ea9, "ata_sas_port_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0x4d69da01, "_dev_warn" },
	{ 0xcedce7b8, "sas_rphy_delete" },
	{ 0xce77b0f5, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6b59ac11, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xe0fd2db3, "__init_waitqueue_head" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0x93ac38cb, "scsi_host_busy" },
	{ 0x703bbb5, "ata_sas_async_probe" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0xed586713, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaaed4ef3, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x500b8a7f, "ata_sas_port_suspend" },
	{ 0xf0626e08, "sas_rphy_add" },
	{ 0x6e5a6755, "sas_port_delete_phy" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbdcc1e8c, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe725407, "sas_port_add_phy" },
	{ 0xf18b22d8, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xab06ccfc, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdda4f626, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x5e70c131, "ata_host_put" },
	{ 0x38b6f41b, "sas_port_free" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x4b609019, "ata_std_sched_eh" },
	{ 0x62512afb, "scsi_block_requests" },
	{ 0xf3ae33d3, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0xc700e468, "sas_remove_children" },
	{ 0x886ad75d, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5d2eeee7, "ata_port_wait_eh" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0xde2a2ea8, "kmem_cache_destroy" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "933E62F885CA8097A566310");
MODULE_INFO(rhelversion, "9.7");
