#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0xb5e04c40, "");
SYMBOL_CRC(w1_remove_master_device, 0x538bf358, "");
SYMBOL_CRC(w1_register_family, 0xf872e7fe, "");
SYMBOL_CRC(w1_unregister_family, 0x001a9898, "");
SYMBOL_CRC(w1_touch_bit, 0x92380677, "_gpl");
SYMBOL_CRC(w1_write_8, 0x7a2c79b9, "_gpl");
SYMBOL_CRC(w1_triplet, 0x95127a15, "_gpl");
SYMBOL_CRC(w1_read_8, 0x20558578, "_gpl");
SYMBOL_CRC(w1_write_block, 0xd1db9c7e, "_gpl");
SYMBOL_CRC(w1_touch_block, 0xc5afe3d6, "_gpl");
SYMBOL_CRC(w1_read_block, 0xde82e483, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x5288e7e4, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x6abc4a3a, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x909a0766, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x1a70c7aa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x2c7e825f, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa152dd7f, "device_unregister" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x5aaa4dba, "sysfs_remove_groups" },
	{ 0x28c66ccb, "sysfs_create_groups" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x563ff897, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x70ccdfde, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3078749a, "put_device" },
	{ 0x99e761cc, "_dev_info" },
	{ 0xe5d840d1, "flush_signals" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xde4c37c0, "bus_unregister" },
	{ 0x9065c9e6, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe2452b36, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x28db2800, "mutex_lock" },
	{ 0xd908ad69, "driver_unregister" },
	{ 0x6664bad6, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x41264e89, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x33579618, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0x4d69da01, "_dev_warn" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x773022de, "kthread_create_on_node" },
	{ 0xc1b96729, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0xbca4c5e, "kobject_uevent" },
	{ 0xb76f7872, "hwmon_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x17e3e4e6, "param_ops_int" },
	{ 0x23a5774a, "of_find_matching_node_and_match" },
	{ 0x22063cc4, "driver_register" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf69acbec, "bus_register" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C7761A4473B5836B7F5AB3A");
MODULE_INFO(rhelversion, "9.7");
