#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xe3920add, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x8f6b2a78, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x170e959f, "_gpl");
SYMBOL_CRC(fat_scan, 0x108193da, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x7c120d8e, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xc09244d3, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x59135187, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x2119d118, "_gpl");
SYMBOL_CRC(fat_getattr, 0x87497f91, "_gpl");
SYMBOL_CRC(fat_setattr, 0x384b38bf, "_gpl");
SYMBOL_CRC(fat_attach, 0x607af18f, "_gpl");
SYMBOL_CRC(fat_detach, 0x800b972d, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xb5585dfb, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x4cab6228, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x4102fe20, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xc74102e5, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xd473c6a0, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x8fa04f80, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xdb3cbc1e, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xf9ad9b91, "_gpl");
SYMBOL_CRC(fat_update_time, 0xe3d6611d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5f8be3e, "filemap_fdatawrite" },
	{ 0x1af599fd, "generic_fillattr" },
	{ 0xfcfe4c10, "setattr_prepare" },
	{ 0xc642a1ad, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6d5e107, "__init_rwsem" },
	{ 0x51df15b6, "sync_blockdev_nowait" },
	{ 0x84773310, "make_vfsgid" },
	{ 0xf43a7f46, "blk_start_plug" },
	{ 0xf37edda1, "clear_inode" },
	{ 0xded51b93, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xd7fc75e2, "generic_file_splice_read" },
	{ 0xd3659021, "new_inode" },
	{ 0x95422301, "mark_buffer_dirty" },
	{ 0xa83e7f8a, "security_inode_setattr" },
	{ 0x627a1dd2, "__find_get_block" },
	{ 0xeb06e5f8, "filemap_fdatawrite_range" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x10361c10, "inode_needs_sync" },
	{ 0xd4ef5b5f, "__blockdev_direct_IO" },
	{ 0xff4aec3, "d_make_root" },
	{ 0x7d097d0a, "__bforget" },
	{ 0x84afbb7a, "sb_set_blocksize" },
	{ 0xf27e49e1, "block_truncate_page" },
	{ 0xab2eb887, "write_dirty_buffer" },
	{ 0x3fe166b3, "sync_filesystem" },
	{ 0x895c18cb, "fsnotify" },
	{ 0xa32c0158, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1bcb28c2, "from_vfsuid" },
	{ 0x4e0efa01, "inode_dio_wait" },
	{ 0x18e7f0d0, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x60d1fa35, "cont_write_begin" },
	{ 0xc72eede4, "iput" },
	{ 0x953a95e, "iter_file_splice_write" },
	{ 0x11e55f49, "generic_file_write_iter" },
	{ 0xab46e0f, "kmem_cache_create" },
	{ 0xdd7b89cf, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x84a4199, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe39f8c2e, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xcfab7b5c, "block_invalidate_folio" },
	{ 0x128a2253, "__breadahead" },
	{ 0x2731ba30, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5e8dcd07, "load_nls" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa0e9c7e0, "generic_cont_expand_simple" },
	{ 0x801a44c5, "make_kuid" },
	{ 0xf4f588ce, "truncate_inode_pages_final" },
	{ 0x5fdd7cc2, "block_write_full_page" },
	{ 0x630d66bc, "generic_file_mmap" },
	{ 0xe2d344ee, "sync_mapping_buffers" },
	{ 0x8d285182, "ilookup" },
	{ 0xa272ddf0, "kmem_cache_alloc" },
	{ 0x1def40ec, "invalidate_inode_buffers" },
	{ 0x12f2ab2b, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4d2e06a7, "mnt_drop_write_file" },
	{ 0x9d327f24, "inode_init_once" },
	{ 0x3339e248, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x4f2b3def, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8d46417f, "down_write" },
	{ 0x8aafe306, "up_write" },
	{ 0xab456379, "generic_file_read_iter" },
	{ 0xc7c22850, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0xa2db7df0, "truncate_pagecache" },
	{ 0xf4426162, "sync_dirty_buffer" },
	{ 0x739376b9, "setattr_copy" },
	{ 0x7ba8a51, "__wait_on_buffer" },
	{ 0xb0f25358, "set_nlink" },
	{ 0x28db2800, "mutex_lock" },
	{ 0xaa5c4e35, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0xa35fd6e, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0xf2ebd7, "from_vfsgid" },
	{ 0x60f1e60a, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5bcad91b, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x83d5b91e, "__bread_gfp" },
	{ 0x68d798ab, "block_dirty_folio" },
	{ 0xcf4dfc2f, "mpage_read_folio" },
	{ 0xdcb764ad, "memset" },
	{ 0x4cfc53cb, "__insert_inode_hash" },
	{ 0x754e038f, "make_kgid" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0x105d52a2, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x70eef267, "down_read" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0xe0db7c47, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf75a1cf, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9e757ee6, "igrab" },
	{ 0xe576445f, "__getblk_gfp" },
	{ 0x8efc4df6, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0x25f6cc27, "mpage_readahead" },
	{ 0xe5e933b, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x5d900b68, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0xe8d48135, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xec9978bd, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x954ae4a9, "blkdev_issue_flush" },
	{ 0x64768175, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7eb363aa, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x395c2fb6, "from_kuid_munged" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0xd6d295bb, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x5dce0be4, "kmem_cache_alloc_lru" },
	{ 0x376bf320, "__mark_inode_dirty" },
	{ 0xd5b1d8c7, "generic_file_llseek" },
	{ 0x96c871c7, "unload_nls" },
	{ 0xf4889263, "up_read" },
	{ 0x1187d450, "mark_buffer_dirty_inode" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0x92b91c5e, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0xde2a2ea8, "kmem_cache_destroy" },
	{ 0x76c87fc8, "blkdev_issue_discard" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0DF33C03A1CFD5AA6EBC33C");
MODULE_INFO(rhelversion, "9.7");
