#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xb6b71943, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xa7a604eb, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x4f0083d0, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x7e7ac415, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x69bb7013, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x06dc3076, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x99c7b19d, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xaa7561a3, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x021edca9, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x00ed889f, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x5e219312, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x12e21783, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xe5f09c66, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x17e71849, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x1fc3a5be, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0xed7a8a47, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0xbc3b580b, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xa784896d, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x9410d625, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xeadcc3bb, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xbc835129, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xe3aa0653, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x6d55f644, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xb0b62c65, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x60feca41, "_gpl");
SYMBOL_CRC(print_tuple, 0xe360bfc1, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x6abc7e92, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xdd7b43b9, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xa63255ec, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x1e1147e8, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x2ef257b4, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xea451ced, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x86eabeda, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xd100bf8e, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x49c13ac7, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x454fd618, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x113905b7, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x7ee690f9, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xf710e22a, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xc3699396, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x53e95581, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x8d5fb85d, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xa90f0133, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x71cc42a8, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x31605941, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0xfda9d606, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x939c1269, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x64f1a777, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x3834c406, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xdff98966, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xfd617319, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x6784ad2b, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x16a33463, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x2ba283d2, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x447a223c, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x0dda5c31, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0xd02a1566, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0x67983193, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0xa45d19ea, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x6ef459bf, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x1c29838e, "_gpl");
SYMBOL_CRC(nf_confirm, 0x0a79ae60, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x9b1499c7, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xea71de63, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xbccc6500, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0xed7820f5, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xc1f69ba1, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x4df34c83, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x8dc1100f, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x7dcc3313, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0xb2b2010d, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x03ea6590, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xd297d162, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xdd9b1bbe, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x85588ca1, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x4585cbf3, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x1d8431c1, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x11df8762, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x4dd6a586, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x05b022e6, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x8f30e013, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x266d6b5e, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x1d195083, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x49a43c64, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x89e649db, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x2aee509a, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x510fb501, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x59025e8d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8fa0dcb2, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xb7eb65f7, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x34d0330a, "nf_defrag_ipv4_disable" },
	{ 0x3f03ca46, "nf_ip6_checksum" },
	{ 0x550abcc4, "proc_dou8vec_minmax" },
	{ 0x924da05f, "skb_copy_bits" },
	{ 0x57b39720, "param_ops_uint" },
	{ 0x5ad90474, "proc_dointvec_jiffies" },
	{ 0x262f7464, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8ae1b178, "nf_register_sockopt" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0xc4ef2c99, "nfct_btf_struct_access" },
	{ 0xca936bb3, "param_set_uint" },
	{ 0xacfa8a3a, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb16090, "get_net_ns_by_id" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xab46e0f, "kmem_cache_create" },
	{ 0xd3e47c6, "nf_ct_hook" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe57e0a86, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xe6227a7c, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xc994748b, "nf_unregister_sockopt" },
	{ 0x742380e4, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x801a44c5, "make_kuid" },
	{ 0x255d159a, "nf_defrag_ipv6_disable" },
	{ 0xe0d2b8dc, "ipv6_skip_exthdr" },
	{ 0xfe1c347f, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xa272ddf0, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x3b39db03, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3998329f, "nf_checksum" },
	{ 0xae2107d2, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb99f5fbc, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x28db2800, "mutex_lock" },
	{ 0xaa5c4e35, "kmem_cache_free" },
	{ 0x723a8445, "seq_putc" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xb62cecc4, "nf_checksum_partial" },
	{ 0x79e9d7d0, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x5f95efb6, "nf_unregister_net_hooks" },
	{ 0xa987875, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x8be1a420, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x933e8597, "nf_log_packet" },
	{ 0x754e038f, "make_kgid" },
	{ 0xe2138f36, "nf_ip_checksum" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0x113cbae9, "register_btf_kfunc_id_set" },
	{ 0x9a2f9d44, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x70eef267, "down_read" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0x31201c8b, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3136a0cb, "__skb_checksum" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xa0f2db9f, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x23c17100, "param_ops_bool" },
	{ 0x81c68651, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x62522249, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe8d48135, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x64c28679, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xee4b2a45, "proc_dointvec" },
	{ 0x64768175, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeafe7acd, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xe7e2046f, "unregister_net_sysctl_table" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xd738314a, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf4889263, "up_read" },
	{ 0x3dd89f80, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xde2a2ea8, "kmem_cache_destroy" },
	{ 0x17975164, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "592075472331D0393834752");
MODULE_INFO(rhelversion, "9.7");
