#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_timer_instance_new, "", "");
KSYMTAB_FUNC(snd_timer_instance_free, "", "");
KSYMTAB_FUNC(snd_timer_open, "", "");
KSYMTAB_FUNC(snd_timer_close, "", "");
KSYMTAB_FUNC(snd_timer_resolution, "", "");
KSYMTAB_FUNC(snd_timer_start, "", "");
KSYMTAB_FUNC(snd_timer_stop, "", "");
KSYMTAB_FUNC(snd_timer_continue, "", "");
KSYMTAB_FUNC(snd_timer_pause, "", "");
KSYMTAB_FUNC(snd_timer_interrupt, "", "");
KSYMTAB_FUNC(snd_timer_new, "", "");
KSYMTAB_FUNC(snd_timer_notify, "", "");
KSYMTAB_FUNC(snd_timer_global_new, "", "");
KSYMTAB_FUNC(snd_timer_global_free, "", "");
KSYMTAB_FUNC(snd_timer_global_register, "", "");

SYMBOL_CRC(snd_timer_instance_new, 0x52f47341, "");
SYMBOL_CRC(snd_timer_instance_free, 0xefd7a4c5, "");
SYMBOL_CRC(snd_timer_open, 0x9d361e07, "");
SYMBOL_CRC(snd_timer_close, 0x7025236e, "");
SYMBOL_CRC(snd_timer_resolution, 0xb61176d8, "");
SYMBOL_CRC(snd_timer_start, 0x7bf3b6ca, "");
SYMBOL_CRC(snd_timer_stop, 0xec32dacb, "");
SYMBOL_CRC(snd_timer_continue, 0xfef54d28, "");
SYMBOL_CRC(snd_timer_pause, 0x14843e62, "");
SYMBOL_CRC(snd_timer_interrupt, 0xdad94ff6, "");
SYMBOL_CRC(snd_timer_new, 0xa586436f, "");
SYMBOL_CRC(snd_timer_notify, 0x610cdc36, "");
SYMBOL_CRC(snd_timer_global_new, 0x95bc8e12, "");
SYMBOL_CRC(snd_timer_global_free, 0x6c5097d4, "");
SYMBOL_CRC(snd_timer_global_register, 0xc6d60baa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x810851d6, "ida_alloc_range" },
	{ 0xb7eb65f7, "try_module_get" },
	{ 0xbacc31f3, "snd_info_register" },
	{ 0xc1fb204e, "snd_info_create_module_entry" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x2c7e825f, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x9af9627c, "snd_info_free_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0xea5b71ea, "add_wait_queue" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x7e704f59, "snd_fasync_helper" },
	{ 0xbc9d45cd, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x3d90f150, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x12b3f093, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x3078749a, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x3b39db03, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x80e5d02a, "noop_llseek" },
	{ 0x28db2800, "mutex_lock" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x78b4daec, "ida_free" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0xc181198c, "snd_unregister_device" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x8c99158f, "snd_device_alloc" },
	{ 0xd6237b52, "snd_device_new" },
	{ 0xdcb764ad, "memset" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xe0fd2db3, "__init_waitqueue_head" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe8d48135, "seq_printf" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x4ea34a33, "remove_wait_queue" },
	{ 0x80c8002b, "stream_open" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x17e3e4e6, "param_ops_int" },
	{ 0xfd4f3fe6, "snd_register_device" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "A02D128E220BAF278040FC0");
MODULE_INFO(rhelversion, "9.7");
