#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0xd8856dfd, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0xe6b1d41c, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x81980126, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x6b5a0f61, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x6a9afa0a, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x9d81b48a, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x6c969a78, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x82f7b141, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x521ac291, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x0d8b2584, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0x41cf6e2e, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x2bf83e5c, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x1a888e9b, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x9e93e0e3, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x6c4a8e1b, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x558a6e4c, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x7688d3e0, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x79b1f951, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xec36937e, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0xd32f6657, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xc9f7121f, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0x023b3ea9, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0xa8ec538f, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0xf5b43428, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x5972290c, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0xd1359e3f, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xd700d48a, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xbcb7fcd3, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x384bc3b1, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x3e72de9a, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xc48d75ce, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0xb8f492e2, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0xf4f387d1, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xaac3e228, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x651d381e, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x67da01c5, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x9b7a8dc0, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x87a27089, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x9688472d, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x1ee16c2d, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0xcc02d2ca, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0xe50104a5, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xbfccf77a, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0xde2c922d, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0xc8903f82, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0xee190e8f, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x2b19d3ed, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x50625abe, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x7f0973fe, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0xb923e2eb, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xd91d8728, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x2da9d839, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x15651a01, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x5ac27ba3, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0x057d1060, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0xbed1371c, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x9d129869, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x7a43bdd1, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0xfbbfcc06, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x1f513dd3, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x01947329, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x657114ca, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x6f2148b3, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0xd18ee921, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x5903de2c, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0xbd958dd5, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x8ad14038, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xd5277cfe, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x1cefdc77, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xdda453a6, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0xaf6e9c15, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x9b6411c9, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x60792c8c, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x14afcfb7, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0xdaf619af, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xe192524f, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x9d8a14ea, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x3929dbc4, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0xe78cbb3b, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xfdddd9b0, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x3e605eb6, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x7460a699, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x85f6219c, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0x8fa664aa, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0xc0cd06eb, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0xbd2ee312, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0x6db9d4cb, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x2b17ec91, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x407fd36b, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x3d79e922, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0xaf1c842b, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x2db769e0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe4b7e1ee, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x810851d6, "ida_alloc_range" },
	{ 0x2de677b4, "pcie_capability_read_word" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xe38b3599, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xe93f9b53, "bpf_trace_run4" },
	{ 0x695dc120, "debugfs_attr_write" },
	{ 0x51e23187, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc4680fde, "einj_cxl_is_initialized" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x2c7e825f, "dev_set_name" },
	{ 0xf26052e, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96b0a74c, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x6ed33253, "cdev_device_del" },
	{ 0xa61ffc44, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0xa152dd7f, "device_unregister" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x79aeed22, "trace_event_printf" },
	{ 0xf1d6485b, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xa569636, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x3a026128, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x538efc0f, "seq_lseek" },
	{ 0x54db63ef, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x15cdcb1b, "bpf_trace_run2" },
	{ 0xce14dbd, "event_triggers_call" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xae8ac792, "hmat_update_target_coordinates" },
	{ 0xa80f1e41, "devm_remove_action" },
	{ 0x9856fd7b, "acpi_node_backed_by_real_pxm" },
	{ 0x3d90f150, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x563ff897, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xde0c338c, "platform_bus" },
	{ 0x67da7ef7, "dev_driver_string" },
	{ 0x57fdab00, "trace_event_buffer_commit" },
	{ 0x2d4944f7, "pci_read_config_dword" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xb97b609d, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0xf29d95ea, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x3078749a, "put_device" },
	{ 0x9559e29, "trace_event_ignore_this_pid" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0xa9ef93ab, "bus_for_each_dev" },
	{ 0x1bfcfaa6, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x30abd623, "debugfs_attr_read" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x71c95fd7, "perf_trace_run_bpf_submit" },
	{ 0x6927d391, "sysfs_update_group" },
	{ 0xde4c37c0, "bus_unregister" },
	{ 0x8d46417f, "down_write" },
	{ 0x50da2ebc, "devm_kfree" },
	{ 0x9065c9e6, "_dev_err" },
	{ 0x8aafe306, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x444aea89, "debugfs_create_bool" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x92fede61, "bus_find_device" },
	{ 0x7f878621, "device_add" },
	{ 0xdb2de8a4, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xcd1a269, "simple_attr_release" },
	{ 0x97b80684, "xa_load" },
	{ 0x80e5d02a, "noop_llseek" },
	{ 0xff882091, "bpf_trace_run5" },
	{ 0xe96cbfd5, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x28db2800, "mutex_lock" },
	{ 0xc2495327, "kernfs_find_and_get_ns" },
	{ 0xd2e4956e, "debugfs_remove" },
	{ 0x9f785fb1, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xa667bb8c, "trace_event_reg" },
	{ 0x78b4daec, "ida_free" },
	{ 0xd908ad69, "driver_unregister" },
	{ 0x827caa27, "pcie_link_speed_mbps" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8ee450e9, "device_find_child" },
	{ 0x6eedae03, "mutex_lock_interruptible" },
	{ 0xa8371ebb, "devm_release_action" },
	{ 0x63e0bd47, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd5a96632, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0xdcb764ad, "memset" },
	{ 0x4d69da01, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x70e0e174, "device_for_each_child_reverse_from" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x70eef267, "down_read" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x52cbfb25, "__xa_insert" },
	{ 0x810c01b4, "xa_erase" },
	{ 0xa121a57a, "bpf_trace_run3" },
	{ 0xb992aad1, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x66fb7727, "debugfs_create_file" },
	{ 0x2bf27ef4, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xfb0003e2, "trace_event_buffer_reserve" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0x66e602f5, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xb2a8f9, "einj_cxl_available_error_type_show" },
	{ 0xce0137f9, "xa_destroy" },
	{ 0x2ec80838, "xa_find" },
	{ 0x29655f47, "kernfs_put" },
	{ 0xbf59d33e, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe8d48135, "seq_printf" },
	{ 0x60e6a108, "xa_store" },
	{ 0x5d38cddc, "device_match_name" },
	{ 0xf3d01160, "einj_cxl_inject_error" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc34703b2, "einj_cxl_inject_rch_error" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x5e89a01f, "single_release" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd260800d, "pci_walk_bus" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x9a6dca32, "xa_find_after" },
	{ 0xaa42da56, "node_set_perf_attrs" },
	{ 0xea2ec187, "__devm_add_action" },
	{ 0x991e3744, "pci_find_dvsec_capability" },
	{ 0x44fd1264, "device_find_child_by_name" },
	{ 0xe39d02c, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa62518bf, "single_open" },
	{ 0x292548e1, "pci_write_config_word" },
	{ 0xf80e34e1, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x6e0d76e3, "pcie_bandwidth_available" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf4889263, "up_read" },
	{ 0x22063cc4, "driver_register" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xebf3a304, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbf108813, "pci_bus_type" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf69acbec, "bus_register" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "einj");


MODULE_INFO(srcversion, "A817BA2FA461C2BBF82B58D");
MODULE_INFO(rhelversion, "9.7");
