#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(devm_drm_of_get_bridge, "", "");
KSYMTAB_FUNC(drmm_of_get_bridge, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x1a51a7b5, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xb4209dd5, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x80c813b2, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0xd593a7ad, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x89c7e228, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xfbf58582, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x49807a5d, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xcbc1d0e3, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x962c05fd, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0xa6464e29, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0xcc15e72d, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x5be05dfb, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x773e4fb8, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x81df90f3, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x0aa225ba, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x1afcb27e, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x0f2d15f3, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0xd7d05ec9, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x081c58b4, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xb8c886eb, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xe2e500b0, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0xae9f24ee, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x2e3f94f5, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x5ef6848b, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xd0f709d3, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0xb6487138, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x9c0b9df3, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x87a87ae4, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x18e6828b, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xda2527a0, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x25e835ba, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xff3fef35, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xc705243f, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x93331f9c, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x5e5dad2f, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x7d7f1b83, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x1310378b, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x55bfef32, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xffab1955, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xd443ea06, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x515f0a87, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xc6eaf0f3, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x3ada3519, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xfd4f9ff5, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x0afe05fa, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x09017bf9, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0xbb4573e5, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x73fea24c, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x6d7fc7d7, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x751541ed, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xf864c62e, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x77b1c4d1, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x48c3a6e9, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x99276959, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x98043fb6, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x7109e4f0, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0xd344bcda, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xbce6e569, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x3a23d50f, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x1bc2c689, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x83570dc4, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xd8aab214, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x01b3548e, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x6ffb150c, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xdc9920ac, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x35ae556f, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0xecba9db2, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x094d743d, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x235ba682, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x03307220, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xbd17258f, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xb4e48fe6, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x560d182d, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x65345710, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x9a90192b, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xd5904b97, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x9736a4b0, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x1136bc6b, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x77719f02, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0xa4bcb021, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xce56627b, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xa182f0c6, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x9c3a78f0, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x62cc3e70, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0xf1b99b97, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xa5ee57da, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x136fe755, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x0f329f67, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xf9940b3d, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x5140b487, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x25ef82d4, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xd8a5111a, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x8b838138, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x8e0f8a70, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0xe0ad5ed8, "");
SYMBOL_CRC(drm_flip_work_queue, 0x4c23bc5e, "");
SYMBOL_CRC(drm_flip_work_commit, 0xca9576df, "");
SYMBOL_CRC(drm_flip_work_init, 0x3d70f819, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x1bf94b82, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xda1160ee, "");
SYMBOL_CRC(drm_fb_swab, 0x56127c68, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x4f5fb6be, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0xc525e75b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x67c26f47, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x41f03ee8, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x0c688553, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x4861da8d, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x5fa94754, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xbb99f812, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x02cadffc, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x686b3a5a, "");
SYMBOL_CRC(drm_fb_blit, 0x9f647f6a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xbd0fe226, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x05bd0f40, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x865eaa1e, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xee94212e, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xf11aa76e, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0xdc674b09, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x9ed6c9d6, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xf90f884b, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x2fbf5414, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xcdeeb093, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x98f38b96, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xfe74e70d, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x339cd0f1, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x2582dab0, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x9f548df4, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xb2271a59, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xe0da45cb, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x369afd31, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0xf489e414, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x7933437d, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x3cb2c3c5, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x95ced0d1, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xa4be7dc4, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xc4975cca, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x9f8765df, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xfcf6a698, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x20117bf8, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xfc95fa59, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0xa9116278, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x5975ed48, "");
SYMBOL_CRC(drm_crtc_init, 0xe937293d, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x73c4dd22, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xf83edaa8, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xeb16076d, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x74743fee, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0xbba24498, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xeab20e9e, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x3b3faa09, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xd3db867e, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x294807be, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x3a1e32c8, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xb5b2cf24, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x7edc281d, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x6dcef8bc, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0xb7a40892, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0xe5ff0bc3, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x574456b4, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0xac2c3c7a, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x2deae81d, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x6d24e676, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xca3f8392, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x467a79de, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0x900f233e, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xb030d4d3, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x7ff2b1fe, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x62a02853, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xbd418d25, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xc6cc3e18, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x45458102, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xc107e0b7, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x0ff066cd, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xc806850a, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xd42f96c6, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x1810d344, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x593156e7, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xeffa08e4, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x752d3abb, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xf9cd18f2, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x7ad90100, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x8a425ab8, "");
SYMBOL_CRC(devm_drm_of_get_bridge, 0xa2201d9d, "");
SYMBOL_CRC(drmm_of_get_bridge, 0xdae1efcd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7148cb2c, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x84a4d8b5, "drm_framebuffer_cleanup" },
	{ 0xa9ff07b3, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x18531cd4, "drm_panel_get_modes" },
	{ 0x651a4046, "drm_gem_vmap_unlocked" },
	{ 0xb7eb65f7, "try_module_get" },
	{ 0xa8f2fb09, "drm_connector_list_update" },
	{ 0x1892abd8, "drm_bridge_add" },
	{ 0x8a9b2ea, "drm_bridge_chain_mode_valid" },
	{ 0xba1ffa87, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x51e23187, "devm_kmalloc" },
	{ 0xe79b6565, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1b6b2d1c, "drm_framebuffer_init" },
	{ 0xf5930f90, "drm_mode_validate_driver" },
	{ 0xf5cf197c, "drm_atomic_add_affected_planes" },
	{ 0xf0b13f17, "dma_buf_end_cpu_access" },
	{ 0xd2d80c5b, "drm_modeset_unlock_all" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa050d7f4, "drm_mode_probed_add" },
	{ 0xd3494bec, "drm_atomic_add_affected_connectors" },
	{ 0xa2bb6064, "drm_gem_vunmap_unlocked" },
	{ 0x7d8ddfaf, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x980f4e44, "finish_wait" },
	{ 0x2a089b2c, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x882995f5, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xcd44492e, "drm_mode_object_get" },
	{ 0x2cdd56d3, "drm_edid_override_connector_update" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x4c104d62, "drm_crtc_cleanup" },
	{ 0xa3cd1f51, "drm_connector_list_iter_begin" },
	{ 0xe37d6dcb, "drm_mode_set_config_internal" },
	{ 0xcd2e9bcb, "prepare_to_wait_event" },
	{ 0x687c50d, "drm_encoder_cleanup" },
	{ 0x492c429, "drm_modeset_acquire_init" },
	{ 0xc78f2302, "dma_fence_set_deadline" },
	{ 0xefa1d0f5, "drm_warn_on_modeset_not_all_locked" },
	{ 0x4305155c, "drm_plane_get_damage_clips" },
	{ 0xa2b53cb1, "devres_add" },
	{ 0x5905f7f, "dma_fence_wait_timeout" },
	{ 0x8448229e, "drm_add_modes_noedid" },
	{ 0xbec88b2d, "drm_bridge_remove" },
	{ 0xdd52e117, "drm_mode_object_put" },
	{ 0x67da7ef7, "dev_driver_string" },
	{ 0x2b723c97, "drm_crtc_vblank_get" },
	{ 0xd9545792, "drm_gem_object_lookup" },
	{ 0x2d8d7106, "drm_crtc_send_vblank_event" },
	{ 0x54de305f, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xd234cc6, "drm_atomic_normalize_zpos" },
	{ 0x9fd68eef, "drm_edid_connector_update" },
	{ 0x8d20f107, "drm_sysfs_hotplug_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xcf3f3ea8, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb05a8d7e, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xbe88941c, "drm_connector_list_iter_end" },
	{ 0x56720395, "drm_atomic_set_crtc_for_plane" },
	{ 0x1d1a13cf, "drm_mode_prune_invalid" },
	{ 0x2230aaf5, "drm_client_dev_hotplug" },
	{ 0x8b148149, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x31363745, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x3b39db03, "module_put" },
	{ 0xd8b98867, "dma_buf_begin_cpu_access" },
	{ 0xbe1fb715, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x899aaefd, "drm_crtc_next_vblank_start" },
	{ 0x964d61ae, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xf39babad, "drm_modeset_lock" },
	{ 0x2f37498c, "drm_modeset_unlock" },
	{ 0x8f4cea2c, "drm_panel_disable" },
	{ 0x3465f5a8, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb84627d9, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x50da2ebc, "devm_kfree" },
	{ 0x9065c9e6, "_dev_err" },
	{ 0x5cecde4f, "drm_writeback_cleanup_job" },
	{ 0xc075a040, "drm_modeset_lock_all_ctx" },
	{ 0xf5b429e5, "i2c_unregister_device" },
	{ 0x9b7d19bd, "drm_atomic_set_fb_for_plane" },
	{ 0xc2080ea3, "__drm_universal_plane_alloc" },
	{ 0x449165df, "drm_edid_connector_add_modes" },
	{ 0xd46a934d, "drm_probe_ddc" },
	{ 0x28db2800, "mutex_lock" },
	{ 0x32bbdc62, "__devres_alloc_node" },
	{ 0xcde6f5a9, "drm_edid_read" },
	{ 0x6a560e24, "drm_crtc_commit_wait" },
	{ 0x3eedc392, "drm_dev_has_vblank" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xb5a857b8, "__drm_atomic_helper_disable_plane" },
	{ 0x5f2b372, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x2a6af44e, "drm_gem_handle_create" },
	{ 0xde85130c, "drm_atomic_set_crtc_for_connector" },
	{ 0xd20e5a12, "drm_analog_tv_mode" },
	{ 0x9fa4e801, "drm_crtc_init_with_planes" },
	{ 0xfb242101, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x67d8b832, "drm_crtc_vblank_put" },
	{ 0xe228f8c7, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x6ebb3b90, "__drm_dev_dbg" },
	{ 0xf31af073, "drm_plane_get_damage_clips_count" },
	{ 0xe73bccc3, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x89e4ce38, "drm_atomic_state_alloc" },
	{ 0xdcb764ad, "memset" },
	{ 0x4d69da01, "_dev_warn" },
	{ 0xabdc3a74, "drm_atomic_bridge_chain_post_disable" },
	{ 0xfdd90a5c, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x7b1a633e, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xd7f78547, "__drm_atomic_helper_set_config" },
	{ 0xbc9b1a52, "mutex_trylock" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x81975b32, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x83dceda9, "drm_connector_cleanup" },
	{ 0xb0165ca5, "drm_get_format_info" },
	{ 0x16698120, "drm_universal_plane_init" },
	{ 0x726e2ddc, "drm_any_plane_has_format" },
	{ 0x8c4ce3ea, "drm_connector_list_iter_next" },
	{ 0x22ecd31, "drm_modeset_acquire_fini" },
	{ 0xd5eff027, "drm_encoder_init" },
	{ 0xd2e5f1a5, "drm_object_property_get_default_value" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x23c17100, "param_ops_bool" },
	{ 0x6742816b, "drm_of_find_panel_or_bridge" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd7878238, "drm_modeset_backoff" },
	{ 0x6f06fc32, "drm_panel_prepare" },
	{ 0x509731a1, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xa1f4c9cb, "drm_atomic_get_plane_state" },
	{ 0xdb4b3409, "drm_atomic_bridge_chain_check" },
	{ 0x1ac2ac32, "dma_fence_chain_init" },
	{ 0xfc47ebf5, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x2d8625aa, "drm_property_blob_put" },
	{ 0x50524cf9, "drm_mode_destroy" },
	{ 0xed3af936, "drm_bridge_attach" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe410b656, "drm_set_preferred_mode" },
	{ 0x8ba8e1c4, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xb79eabb, "drm_atomic_state_clear" },
	{ 0x602e4ccf, "drm_mode_config_reset" },
	{ 0x232b3866, "drm_property_create_blob" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0xe3a84b82, "drm_modeset_drop_locks" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x6f480c8e, "drm_atomic_bridge_chain_disable" },
	{ 0x714371db, "drm_mode_create_from_cmdline_mode" },
	{ 0x9bd1252c, "drm_mode_validate_ycbcr420" },
	{ 0x6a492f75, "drm_atomic_nonblocking_commit" },
	{ 0xf80e34e1, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xa20639fb, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xa068a51f, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0x8c05510f, "drm_atomic_add_encoder_bridges" },
	{ 0xf01d8cde, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9eee1746, "drm_sysfs_connector_hotplug_event" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "E6F29E0A47D8BCD515E367C");
MODULE_INFO(rhelversion, "9.7");
