#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x1db676da, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x1e8dff11, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0xf21d2eb8, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0x5caf2b14, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0xf02a2d2d, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x4da3d0a4, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x0b82cac8, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x1a27a7fa, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x959949b4, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x4b43671a, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xbbba2b89, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0xb68b0e8c, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x9f4c172b, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0xf8fe170d, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x5d2ddc89, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xa2948d08, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0xdea67905, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x13560728, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x79b41ae3, "ww_mutex_lock_interruptible" },
	{ 0xf9cfa3a, "vmf_insert_pfn" },
	{ 0x1c2ef477, "drm_gem_get_pages" },
	{ 0xce98bd44, "dma_buf_vmap" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xe9ef963, "invalidate_mapping_pages" },
	{ 0x5af0e1f5, "ww_mutex_unlock" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xd8622ee8, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x21bac8d4, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x13e7d364, "drm_gem_create_mmap_offset" },
	{ 0xc07bb0e6, "drm_gem_object_init" },
	{ 0x67da7ef7, "dev_driver_string" },
	{ 0xe3e81d7e, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x3045e720, "drm_gem_vm_close" },
	{ 0x528e1ec6, "drm_gem_vm_open" },
	{ 0x8d46417f, "down_write" },
	{ 0x8aafe306, "up_write" },
	{ 0x46ac5a6f, "drm_gem_object_release" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x6ae004f, "ww_mutex_lock" },
	{ 0xeebd4d17, "vmap" },
	{ 0x2a6af44e, "drm_gem_handle_create" },
	{ 0x6ebb3b90, "__drm_dev_dbg" },
	{ 0x8b35e0aa, "drm_prime_pages_to_sg" },
	{ 0x173d441a, "dma_buf_vunmap" },
	{ 0x66502c0f, "shmem_truncate_range" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x16817043, "dma_map_sgtable" },
	{ 0xf195c072, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf33e0542, "dma_unmap_sg_attrs" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x5dce4068, "drm_gem_put_pages" },
	{ 0xc3b93f7e, "drm_gem_private_object_fini" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0x2a74d5d5, "drm_prime_gem_destroy" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "A6CE38331A05B1B8CAE5812");
MODULE_INFO(rhelversion, "9.7");
