#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0x1d04166d, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x9b8751fa, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0x08a6ddb1, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0xde05c127, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0x8a6b3d80, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0x2d4b3f6f, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0xf9f175fa, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x905aa635, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0xe2c593d0, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0xc9b0df23, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0x3f5f5829, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0xb89234bb, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x85be8dbc, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0x5fe30744, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0x258962bb, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0xd773cc17, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0xe8a4fe7a, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0x907099e5, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0xbd46605d, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0x1b707ff4, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0x47f5025f, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0x21eb79f1, "_gpl");
SYMBOL_CRC(i3c_master_register, 0x07284d2a, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0xc3cacc9b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd6d5e107, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x51e23187, "devm_kmalloc" },
	{ 0x6c8fd974, "of_property_read_variable_u32_array" },
	{ 0x2c7e825f, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa152dd7f, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0xa569636, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xf8a2bc61, "of_get_next_available_child" },
	{ 0x563ff897, "__dynamic_dev_dbg" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3078749a, "put_device" },
	{ 0xb6ebe55e, "i2c_del_adapter" },
	{ 0xa02e682a, "idr_remove" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xde4c37c0, "bus_unregister" },
	{ 0x8d46417f, "down_write" },
	{ 0x9065c9e6, "_dev_err" },
	{ 0x8aafe306, "up_write" },
	{ 0x7f878621, "device_add" },
	{ 0x3007434c, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x28db2800, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0xd908ad69, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe228f8c7, "i2c_new_client_device" },
	{ 0x33579618, "device_register" },
	{ 0x63e0bd47, "device_del" },
	{ 0x74499762, "idr_destroy" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0x70eef267, "down_read" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x69687469, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x640fc67, "of_i2c_get_board_info" },
	{ 0xf4889263, "up_read" },
	{ 0x22063cc4, "driver_register" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0xf69acbec, "bus_register" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2CAED58C89902178FD59920");
MODULE_INFO(rhelversion, "9.7");
