#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0x2e76befa, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x81d734c8, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x423b7574, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x6cf53304, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0xb31cfc77, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0xd374556d, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xfb7394fd, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x812ec514, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x6d987b06, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x56b28560, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0xd2a49848, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x827908eb, "_gpl");
SYMBOL_CRC(dm_get_md, 0xb50cbbef, "_gpl");
SYMBOL_CRC(dm_hold, 0xfce13020, "_gpl");
SYMBOL_CRC(dm_device_name, 0xf7897b08, "_gpl");
SYMBOL_CRC(dm_put, 0x6fb6f66d, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x0b3f3218, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x2b8c7b44, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0x49ef2bde, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x128b83ee, "_gpl");
SYMBOL_CRC(dm_disk, 0xbc822fb7, "_gpl");
SYMBOL_CRC(dm_suspended, 0x06ad8283, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x8be4466f, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xd5cfb460, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0xd780c8a0, "");
SYMBOL_CRC(dm_put_device, 0x39d4f7d3, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0xc3432ba6, "_gpl");
SYMBOL_CRC(dm_table_event, 0xcc676a2d, "");
SYMBOL_CRC(dm_table_get_size, 0x2154553b, "");
SYMBOL_CRC(dm_table_get_mode, 0x80af1e8f, "");
SYMBOL_CRC(dm_table_get_md, 0x40b5e0fb, "");
SYMBOL_CRC(dm_table_device_name, 0xe904529f, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x9a17d882, "");
SYMBOL_CRC(dm_register_target, 0xd52d6e05, "");
SYMBOL_CRC(dm_unregister_target, 0x4d86cd41, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x3320f5f8, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0xff003420, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x87fbc98f, "");
SYMBOL_CRC(dm_kcopyd_zero, 0xca522bea, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0xdeaa7498, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5feb08, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0xd199face, "set_disk_ro" },
	{ 0x7256eb12, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb7eb65f7, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6d5e107, "__init_rwsem" },
	{ 0xc1e94722, "misc_deregister" },
	{ 0xf43a7f46, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb7ae6598, "idr_find" },
	{ 0x57b39720, "param_ops_uint" },
	{ 0xc804b6b, "param_ops_ulong" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa4a8e9b5, "bio_split_to_limits" },
	{ 0x8a16f2fa, "vmalloc_to_page" },
	{ 0x8a06d87d, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0xf88117c7, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9b98406b, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x980f4e44, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0xdc36ccf2, "idr_replace" },
	{ 0xdd593bbb, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0xc0a3da76, "mempool_init" },
	{ 0x6f78bbba, "blk_rq_prep_clone" },
	{ 0x871d59b3, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x23024714, "prepare_to_wait" },
	{ 0x86f561ca, "blk_mq_quiesce_queue" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc636b89e, "__traceiter_block_bio_remap" },
	{ 0xea826447, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcd2e9bcb, "prepare_to_wait_event" },
	{ 0x682bf424, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xbc9d45cd, "__wake_up" },
	{ 0x4a9c4b23, "synchronize_srcu" },
	{ 0xab46e0f, "kmem_cache_create" },
	{ 0xacd1c4e8, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x7dfa2260, "bdev_thaw" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x413571c6, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0x84036181, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1e7c9ee7, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x40ef0b91, "blk_mq_alloc_tag_set" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x3cefd640, "crypto_destroy_tfm" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x603c5e17, "__traceiter_block_split" },
	{ 0xf46727c7, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d2fa6dd, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb2364d30, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0x9277705a, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x34fc4ad3, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x7d278f47, "kmalloc_node_trace" },
	{ 0x18073859, "mempool_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0xc72449d3, "__free_pages" },
	{ 0xa272ddf0, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x12f2ab2b, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x942b6d6, "submit_bio" },
	{ 0x3b39db03, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x263f596e, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x480cc569, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x5739a145, "ima_measure_critical_data" },
	{ 0xa02e682a, "idr_remove" },
	{ 0xf688fc0f, "kobject_uevent_env" },
	{ 0xae95b331, "bio_put" },
	{ 0xbce6250d, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa2243207, "init_srcu_struct" },
	{ 0xeb6d939a, "fput" },
	{ 0x8d46417f, "down_write" },
	{ 0xa781fdc0, "blk_revalidate_disk_zones" },
	{ 0x8aafe306, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xef5ac4a2, "blk_update_request" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x3007434c, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x53f96d49, "__srcu_read_lock" },
	{ 0x44235470, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4b910629, "set_capacity" },
	{ 0x8d85acd0, "submit_bio_noacct" },
	{ 0x80e5d02a, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x28db2800, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x9b09ffb2, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xaa5c4e35, "kmem_cache_free" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xea23fd5f, "bio_chain" },
	{ 0xe50a5226, "bdev_freeze" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x2bbaafd9, "blk_stack_limits" },
	{ 0x2ed2b6e0, "kobject_init_and_add" },
	{ 0x32e3ea3b, "zero_fill_bio_iter" },
	{ 0xa2cedcc3, "bio_add_page" },
	{ 0x16813bf4, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x799eeb18, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x39cf7011, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbace09fb, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc56f87e4, "bdev_file_open_by_dev" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x74499762, "idr_destroy" },
	{ 0xc12289b9, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xd10dcd55, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x87b88ad1, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x1567b242, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x93b003f3, "blk_insert_cloned_request" },
	{ 0xe0fd2db3, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0x70eef267, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x67e8a03a, "audit_log_start" },
	{ 0xe1fc991e, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xfa8426fb, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1729fbb3, "bio_uninit" },
	{ 0x3cdeccdf, "crypto_shash_final" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x23c17100, "param_ops_bool" },
	{ 0x9e597a4d, "bioset_init" },
	{ 0x620296cf, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x21fb2cbf, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x979b8eb6, "__traceiter_block_rq_remap" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x5abe1590, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x8ce2d446, "__tracepoint_block_rq_remap" },
	{ 0xfb139f2b, "bd_link_disk_holder" },
	{ 0xa054508d, "blk_mq_start_request" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7242d92, "put_dax" },
	{ 0xedd876a3, "file_bdev" },
	{ 0x6d70f1d9, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x112f8f22, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xe992cff5, "blk_zone_plug_bio" },
	{ 0x17e3e4e6, "param_ops_int" },
	{ 0xe0e1d4dc, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x1e94a963, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xa3e2c67d, "queue_limits_set" },
	{ 0x7517afa0, "bio_alloc_bioset" },
	{ 0xf4889263, "up_read" },
	{ 0xba2ada4b, "blk_mq_requeue_request" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xa10c4ed1, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb71bb16e, "bdev_end_io_acct" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0xa0dbf136, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xde2a2ea8, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xcbd3a806, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "22646E38D4679DC418F26A9");
MODULE_INFO(rhelversion, "9.7");
