#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xfa97afb5, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xd0fccfcd, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x2640594f, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x0b9cffe5, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xcdc81716, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8fa0dcb2, "__do_once_done" },
	{ 0xd983bf65, "ip6_route_input_lookup" },
	{ 0x810851d6, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6a4d8a0f, "dev_pre_changeaddr_notify" },
	{ 0x4697e03f, "dev_mc_sync" },
	{ 0x6a15b166, "ida_destroy" },
	{ 0xecdd34df, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8b470a6d, "netdev_update_features" },
	{ 0x3271fd6b, "consume_skb" },
	{ 0x305c2622, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x61bff76c, "dev_uc_sync" },
	{ 0xdbf2da5, "rtnl_link_register" },
	{ 0x77f1a5ea, "netif_inherit_tso_max" },
	{ 0x32976b83, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x73c25e77, "ip_route_output_flow" },
	{ 0x80eb1833, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x4cde7df, "dev_uc_unsync" },
	{ 0x27d895eb, "ether_setup" },
	{ 0xb9a66f5c, "netdev_err" },
	{ 0xa4db3b7c, "netdev_upper_dev_link" },
	{ 0xe6227a7c, "register_pernet_subsys" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd8669b11, "eth_header_parse" },
	{ 0x16b2946a, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x21c58197, "eth_header_cache_update" },
	{ 0xfe1c347f, "nf_register_net_hooks" },
	{ 0xafd5d4d1, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x9648e59c, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xea5a523a, "__dev_get_by_index" },
	{ 0xb9571b36, "rtnl_link_unregister" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xe05e173c, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xac2fae3b, "sk_skb_reason_drop" },
	{ 0xafd1fea5, "netif_stacked_transfer_operstate" },
	{ 0x26b2435c, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x78b4daec, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbc7211ce, "ns_capable" },
	{ 0x5f95efb6, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf145d2a4, "ethtool_op_get_link" },
	{ 0xc3febe49, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x8be1a420, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x292e0e35, "__pskb_pull_tail" },
	{ 0x6ed653a, "netif_rx" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x510ef6b5, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x5088e45c, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xafa708d7, "vlan_vid_add" },
	{ 0xb85ea7a, "call_netdevice_notifiers" },
	{ 0x1bc1a309, "vlan_vid_del" },
	{ 0x68ca907e, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc12b0c55, "skb_clone" },
	{ 0xfaf80370, "dst_release" },
	{ 0xc8227374, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x26a5a50e, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x16884ba7, "dev_mc_unsync" },
	{ 0x2d8d0bba, "dev_change_flags" },
	{ 0x26eb6877, "netdev_core_stats_inc" },
	{ 0x4841ba2a, "dev_forward_skb" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcaf2e247, "register_netdevice" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "DE37DC5C8DABDDDB3FEB4A1");
MODULE_INFO(rhelversion, "9.7");
