#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xdaa511cd, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x4ee3484d, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x95295cc3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdbf2da5, "rtnl_link_register" },
	{ 0x4028b7a, "genl_register_family" },
	{ 0xb9571b36, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x3cefd640, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5101c0c2, "crypto_alloc_aead" },
	{ 0x682a3141, "crypto_aead_setkey" },
	{ 0x67fbb597, "crypto_aead_setauthsize" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xe05e173c, "skb_pull" },
	{ 0x52842529, "___pskb_trim" },
	{ 0x27d895eb, "ether_setup" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x4697e03f, "dev_mc_sync" },
	{ 0x61bff76c, "dev_uc_sync" },
	{ 0x68ca907e, "dev_set_allmulti" },
	{ 0xe02c3fde, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x73075a6d, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xea5a523a, "__dev_get_by_index" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xc12b0c55, "skb_clone" },
	{ 0x624d907b, "__netif_rx" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcaf2e247, "register_netdevice" },
	{ 0xa4db3b7c, "netdev_upper_dev_link" },
	{ 0x26b2435c, "netdev_upper_dev_unlink" },
	{ 0x80eb1833, "unregister_netdevice_queue" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x19c28fb9, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xafd1fea5, "netif_stacked_transfer_operstate" },
	{ 0x230e8bc3, "linkwatch_fire_event" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0xc8227374, "netdev_rx_handler_register" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0x28db2800, "mutex_lock" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x26c4e779, "skb_copy_expand" },
	{ 0x3271fd6b, "consume_skb" },
	{ 0x49d58c6f, "skb_push" },
	{ 0x6954d5ef, "skb_put" },
	{ 0x602e3481, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x6b8240fd, "skb_to_sgvec" },
	{ 0x76dcf242, "crypto_aead_encrypt" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xac2fae3b, "sk_skb_reason_drop" },
	{ 0x30b27372, "skb_copy" },
	{ 0x8344e7e2, "skb_trim" },
	{ 0xfaf80370, "dst_release" },
	{ 0x5088e45c, "__dev_queue_xmit" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6925b8f1, "gro_cells_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5de17023, "crypto_aead_decrypt" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x16b2946a, "netdev_rx_handler_unregister" },
	{ 0x60770f01, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xa08ce32d, "netif_carrier_off" },
	{ 0x16884ba7, "dev_mc_unsync" },
	{ 0x4cde7df, "dev_uc_unsync" },
	{ 0xbb2eb3a7, "dev_uc_del" },
	{ 0xbbdb9bf1, "dev_uc_add" },
	{ 0xd3219e42, "netif_carrier_on" },
	{ 0x51769539, "eth_type_trans" },
	{ 0x2679605, "gro_cells_receive" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x38a2e038, "genlmsg_put" },
	{ 0x292e0e35, "__pskb_pull_tail" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BEAB6ED3DFD77921345193F");
MODULE_INFO(rhelversion, "9.7");
