#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0xffadf581, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x0171e077, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xfdd105b8, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0xe7dd4c01, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0x8a217f51, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0xb5bb0b62, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x810851d6, "ida_alloc_range" },
	{ 0x118a76bd, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x37bee4de, "__nlmsg_put" },
	{ 0x6954d5ef, "skb_put" },
	{ 0x2c7e825f, "dev_set_name" },
	{ 0x3271fd6b, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa152dd7f, "device_unregister" },
	{ 0xf55a7191, "skb_dequeue" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x980f4e44, "finish_wait" },
	{ 0xdbf2da5, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x54db63ef, "device_for_each_child" },
	{ 0xcd2e9bcb, "prepare_to_wait_event" },
	{ 0xbc9d45cd, "__wake_up" },
	{ 0xf875dfd0, "rtnl_create_link" },
	{ 0x80eb1833, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5a9c7f47, "skb_queue_purge_reason" },
	{ 0x5450775c, "alloc_netdev_mqs" },
	{ 0x2d876d43, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x3078749a, "put_device" },
	{ 0x6fdbc912, "__alloc_skb" },
	{ 0x99e761cc, "_dev_info" },
	{ 0x7424e4c2, "skb_queue_tail" },
	{ 0x2a13c9a3, "rtnl_configure_link" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb9571b36, "rtnl_link_unregister" },
	{ 0xb99f5fbc, "init_net" },
	{ 0xe05e173c, "skb_pull" },
	{ 0xac2fae3b, "sk_skb_reason_drop" },
	{ 0x80e5d02a, "noop_llseek" },
	{ 0x28db2800, "mutex_lock" },
	{ 0xd2e4956e, "debugfs_remove" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x78b4daec, "ida_free" },
	{ 0x4846d3d1, "free_netdev" },
	{ 0xe102dd3f, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2cdb03bf, "class_dev_iter_init" },
	{ 0x33579618, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe0fd2db3, "__init_waitqueue_head" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0x5635989c, "__register_chrdev" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x80c8002b, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x44fd1264, "device_find_child_by_name" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xf80e34e1, "debugfs_create_dir" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0xb5144d0c, "class_register" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0xb5d60e83, "skb_queue_head" },
	{ 0x8fdbf823, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xcaf2e247, "register_netdevice" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3549841979CC29F5D1EEDEF");
MODULE_INFO(rhelversion, "9.7");
