#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x6ba2aae9, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2b07ad08, "nvme_remove_admin_tag_set" },
	{ 0x8046d0a, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x810851d6, "ida_alloc_range" },
	{ 0xe3b61867, "nvme_uninit_ctrl" },
	{ 0x6a15b166, "ida_destroy" },
	{ 0x6f898d42, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x372f5bd5, "nvmf_free_options" },
	{ 0x6d86f1e9, "nvmf_subsystem_reset" },
	{ 0xfd88b91a, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x980f4e44, "finish_wait" },
	{ 0x27008770, "nvme_stop_keep_alive" },
	{ 0x3085b06b, "blk_mq_complete_request_remote" },
	{ 0xe1fafa40, "dma_unmap_page_attrs" },
	{ 0xc4ce7831, "nvme_setup_cmd" },
	{ 0x9fa75e9a, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0xe1a6b971, "nvme_alloc_admin_tag_set" },
	{ 0x43cc4b2d, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xcd2e9bcb, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x559a0808, "nvmf_reg_read32" },
	{ 0xbc9d45cd, "__wake_up" },
	{ 0x95242fa9, "nvme_delete_ctrl" },
	{ 0x3d90f150, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x67da7ef7, "dev_driver_string" },
	{ 0xbee96884, "nvmf_get_address" },
	{ 0xbe43413, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x3d3493bd, "nvme_remove_io_tag_set" },
	{ 0xcf68540b, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7e3c923e, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc7548007, "nvmf_unregister_transport" },
	{ 0x29db7f02, "blkcg_get_fc_appid" },
	{ 0x3078749a, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x3426b929, "nvme_change_ctrl_state" },
	{ 0x99e761cc, "_dev_info" },
	{ 0x6c27cfc0, "nvme_init_ctrl" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xa5c1c6b3, "nvme_alloc_io_tag_set" },
	{ 0xac593581, "nvme_fail_nonready_command" },
	{ 0xf688fc0f, "kobject_uevent_env" },
	{ 0x35c4c92b, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9065c9e6, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0xd45c69e1, "device_create" },
	{ 0xa04b0a93, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0xa83d93d6, "__blk_rq_map_sg" },
	{ 0x78b4daec, "ida_free" },
	{ 0x807fe73e, "nvmf_reg_read64" },
	{ 0xe102dd3f, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7bf45f0c, "nvmf_connect_admin_queue" },
	{ 0xb0febf69, "nvme_enable_ctrl" },
	{ 0xaf1d7645, "nvme_unquiesce_admin_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0x4d69da01, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xe0fd2db3, "__init_waitqueue_head" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f0504cc, "nvme_unquiesce_io_queues" },
	{ 0xadfdb056, "blk_mq_update_nr_hw_queues" },
	{ 0xaf5a2f33, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x82e6aaed, "nvmf_should_reconnect" },
	{ 0x792685e8, "__dma_sync_single_for_device" },
	{ 0x5f6f3b6, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x27afd4f6, "device_destroy" },
	{ 0xa12d9dcb, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x1bd51e7e, "nvmf_register_transport" },
	{ 0xa054508d, "blk_mq_start_request" },
	{ 0x2fd8ff36, "nvme_quiesce_io_queues" },
	{ 0x16dd9461, "blk_mq_tagset_busy_iter" },
	{ 0x1bd7a421, "nvme_stop_ctrl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf33e0542, "dma_unmap_sg_attrs" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x68884ec4, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xa6a8403b, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x6b21443b, "nvme_quiesce_admin_queue" },
	{ 0xb5144d0c, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xeaf84559, "__nvme_check_ready" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0x992aee10, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7609c00c, "nvme_add_ctrl" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "837806316F0ED06192F0363");
MODULE_INFO(rhelversion, "9.7");
