#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0xd6b455cf, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0x0cac2079, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0x5f728b36, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0x72801a84, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0xb5620605, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x3a88a76d, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0xbb166cd6, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x3e3fbcf5, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x1b00aa12, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x08e8f067, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0x563aec63, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e6a10cf, "filp_open" },
	{ 0x810851d6, "ida_alloc_range" },
	{ 0x73594c5a, "bdev_file_open_by_path" },
	{ 0xb7eb65f7, "try_module_get" },
	{ 0xf43a7f46, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x6a15b166, "ida_destroy" },
	{ 0x2718317e, "config_group_init" },
	{ 0x1fba9fbd, "config_group_find_item" },
	{ 0x9183811, "radix_tree_insert" },
	{ 0xcf91cf8b, "bio_add_zone_append_page" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x96b0a74c, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x34ee6981, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x53c2414b, "radix_tree_lookup" },
	{ 0x22b1aee3, "rt_mutex_base_init" },
	{ 0x79aeed22, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x3a026128, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x68d12335, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x15cdcb1b, "bpf_trace_run2" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xce14dbd, "event_triggers_call" },
	{ 0xd6352f86, "pci_p2pmem_free_sgl" },
	{ 0xab46e0f, "kmem_cache_create" },
	{ 0x3d90f150, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x413571c6, "mempool_free" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7729e46f, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x57fdab00, "trace_event_buffer_commit" },
	{ 0x3cefd640, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x134424fe, "mempool_create" },
	{ 0x7249d633, "crypto_alloc_kpp" },
	{ 0xd04ee640, "vfs_fallocate" },
	{ 0x874bef24, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x3078749a, "put_device" },
	{ 0x9559e29, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x18073859, "mempool_alloc" },
	{ 0x12f2ab2b, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0x942b6d6, "submit_bio" },
	{ 0x3b39db03, "module_put" },
	{ 0x34e8a548, "pci_p2pdma_distance_many" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x84c4bafa, "nvme_auth_gen_pubkey" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x8a818778, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xae95b331, "bio_put" },
	{ 0x6cdf3684, "radix_tree_delete" },
	{ 0xbce6250d, "bio_endio" },
	{ 0x761a4523, "sg_miter_next" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x71c95fd7, "perf_trace_run_bpf_submit" },
	{ 0xeb6d939a, "fput" },
	{ 0x8d46417f, "down_write" },
	{ 0x8aafe306, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x3c44a721, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xedfa6859, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x99f64167, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x97b80684, "xa_load" },
	{ 0xc64b80de, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x28db2800, "mutex_lock" },
	{ 0x2c9f2586, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0xbf1c5e0e, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xa667bb8c, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xea23fd5f, "bio_chain" },
	{ 0x78b4daec, "ida_free" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xefb47129, "pci_p2pdma_enable_store" },
	{ 0xc462b64c, "pci_p2pmem_alloc_sgl" },
	{ 0xa2cedcc3, "bio_add_page" },
	{ 0x16813bf4, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcb7542c1, "bio_integrity_alloc" },
	{ 0xf8c690b1, "sg_miter_start" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x11089ac7, "_ctype" },
	{ 0x765aa5ce, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xd10dcd55, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x6bd8312, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x270a2d3f, "rt_spin_unlock" },
	{ 0xec4e1049, "pci_p2pdma_enable_show" },
	{ 0x70eef267, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2e727da2, "rt_spin_lock" },
	{ 0x52cbfb25, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x810c01b4, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0xfb0003e2, "trace_event_buffer_reserve" },
	{ 0x3cdeccdf, "crypto_shash_final" },
	{ 0xccf25c03, "vfs_fsync" },
	{ 0x86dd8b2a, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xce0137f9, "xa_destroy" },
	{ 0x2ec80838, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x62b2197b, "pci_dev_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc1a45511, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x11f7ed4c, "hex_to_bin" },
	{ 0x954ae4a9, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xedd876a3, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9a6dca32, "xa_find_after" },
	{ 0x27958bd0, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1e295c27, "pci_p2pmem_find_many" },
	{ 0x1e94a963, "crypto_alloc_shash" },
	{ 0x1904e091, "nvme_auth_gen_privkey" },
	{ 0x7517afa0, "bio_alloc_bioset" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf4889263, "up_read" },
	{ 0x8487e606, "__mutex_rt_init" },
	{ 0x5ac6cffe, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3d4c888f, "submit_bio_wait" },
	{ 0xa10c4ed1, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x531410bb, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x9fe5acdb, "__blkdev_issue_discard" },
	{ 0xc6e39780, "fs_bio_set" },
	{ 0x62ab6e97, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xde2a2ea8, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "7ECFA408CE5FBE70F21294A");
MODULE_INFO(rhelversion, "9.7");
