#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(geni_se_get_qup_hw_version, "", "");
KSYMTAB_FUNC(geni_se_init, "", "");
KSYMTAB_FUNC(geni_se_select_mode, "", "");
KSYMTAB_FUNC(geni_se_config_packing, "", "");
KSYMTAB_FUNC(geni_se_resources_off, "", "");
KSYMTAB_FUNC(geni_se_resources_on, "", "");
KSYMTAB_FUNC(geni_se_clk_tbl_get, "", "");
KSYMTAB_FUNC(geni_se_clk_freq_match, "", "");
KSYMTAB_FUNC(geni_se_tx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_rx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_icc_get, "", "");
KSYMTAB_FUNC(geni_icc_set_bw, "", "");
KSYMTAB_FUNC(geni_icc_set_tag, "", "");
KSYMTAB_FUNC(geni_icc_enable, "", "");
KSYMTAB_FUNC(geni_icc_disable, "", "");

SYMBOL_CRC(geni_se_get_qup_hw_version, 0x6b84440a, "");
SYMBOL_CRC(geni_se_init, 0xb1b53710, "");
SYMBOL_CRC(geni_se_select_mode, 0xc44c4e65, "");
SYMBOL_CRC(geni_se_config_packing, 0x4e34aea0, "");
SYMBOL_CRC(geni_se_resources_off, 0x5b06ad1a, "");
SYMBOL_CRC(geni_se_resources_on, 0x0a35a5c8, "");
SYMBOL_CRC(geni_se_clk_tbl_get, 0xe779e94f, "");
SYMBOL_CRC(geni_se_clk_freq_match, 0x2b311d12, "");
SYMBOL_CRC(geni_se_tx_init_dma, 0x597d695b, "");
SYMBOL_CRC(geni_se_tx_dma_prep, 0xf2588b85, "");
SYMBOL_CRC(geni_se_rx_init_dma, 0x64131043, "");
SYMBOL_CRC(geni_se_rx_dma_prep, 0x66581cc3, "");
SYMBOL_CRC(geni_se_tx_dma_unprep, 0x732ffca8, "");
SYMBOL_CRC(geni_se_rx_dma_unprep, 0xd8ed9007, "");
SYMBOL_CRC(geni_icc_get, 0x011f15cb, "");
SYMBOL_CRC(geni_icc_set_bw, 0x26d1a316, "");
SYMBOL_CRC(geni_icc_set_tag, 0x47720fdc, "");
SYMBOL_CRC(geni_icc_enable, 0x2931b9ff, "");
SYMBOL_CRC(geni_icc_disable, 0x2a552115, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe1fafa40, "dma_unmap_page_attrs" },
	{ 0x98989312, "is_acpi_device_node" },
	{ 0xa1cc59af, "devm_of_icc_get" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9065c9e6, "_dev_err" },
	{ 0x5f44b69b, "icc_set_bw" },
	{ 0xbf2f36bf, "icc_set_tag" },
	{ 0xe428b00f, "icc_enable" },
	{ 0xa4d74faf, "icc_disable" },
	{ 0xb686868a, "__platform_driver_register" },
	{ 0x51e23187, "devm_kmalloc" },
	{ 0xd1f94bc6, "devm_platform_ioremap_resource" },
	{ 0x9c42d4ab, "devm_of_platform_populate" },
	{ 0x563ff897, "__dynamic_dev_dbg" },
	{ 0x1285b41e, "device_get_match_data" },
	{ 0xfb5e8de, "of_count_phandle_with_args" },
	{ 0x6fe2a369, "devm_clk_bulk_get" },
	{ 0x3a574e57, "platform_driver_unregister" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xae632350, "pinctrl_pm_select_default_state" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2de432fd, "pinctrl_pm_select_sleep_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xbe43413, "dma_map_page_attrs" },
	{ 0x67da7ef7, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,geni-se-qup");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-qupC*");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hub");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hubC*");

MODULE_INFO(srcversion, "6BEB0E519200071345C77E9");
MODULE_INFO(rhelversion, "9.7");
