#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0x205f8c30, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0x5451ab42, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0x150bf616, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5ad96afe, "device_property_present" },
	{ 0x91c43de2, "usb_hcd_platform_shutdown" },
	{ 0x98989312, "is_acpi_device_node" },
	{ 0x9433de1f, "of_fwnode_ops" },
	{ 0x2761fc21, "device_set_wakeup_capable" },
	{ 0xa2972dd9, "xhci_suspend" },
	{ 0xcd965881, "devm_platform_get_and_ioremap_resource" },
	{ 0x3a574e57, "platform_driver_unregister" },
	{ 0xe0aeda48, "platform_get_irq" },
	{ 0x431df167, "xhci_gen_setup" },
	{ 0xad4aee99, "of_usb_host_tpl_support" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xe184715, "devm_usb_get_phy_by_phandle" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xb0518cad, "devm_reset_control_array_get" },
	{ 0xfa197c21, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xada7b03d, "pm_runtime_enable" },
	{ 0x384b202e, "device_property_read_u32_array" },
	{ 0x4d998251, "of_match_device" },
	{ 0x9065c9e6, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xbb023bad, "xhci_resume" },
	{ 0xce4275e, "xhci_run" },
	{ 0x8ad6ac85, "usb_hcd_is_primary_hcd" },
	{ 0x4b25a591, "xhci_init_driver" },
	{ 0xe50faf5c, "usb_put_hcd" },
	{ 0xb686868a, "__platform_driver_register" },
	{ 0x7d43610a, "dma_set_coherent_mask" },
	{ 0xa459a2cc, "devm_clk_get_optional" },
	{ 0xa6a3afab, "pm_runtime_forbid" },
	{ 0xb007bf55, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xe0d6d0e6, "__usb_create_hcd" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x22d7a38d, "dma_set_mask" },
	{ 0x76e8cbe5, "usb_remove_hcd" },
	{ 0x12defb89, "of_device_get_match_data" },
	{ 0xf825b9c, "__pm_runtime_disable" },
	{ 0x8ba53a44, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0xbf108813, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhciC*");

MODULE_INFO(srcversion, "044A4149E96EAA7F4A72223");
MODULE_INFO(rhelversion, "9.7");
