#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xdba0b97f, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x41d39fca, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x7ebe3dca, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x2fdd7f64, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xa132c150, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x9c999fbe, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x8f384b30, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xedf01d7e, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xe800ecad, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x6e6faac9, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x2bdd8ce1, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x44000452, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0bc91f2, "ipv6_chk_addr_and_flags" },
	{ 0xa638c251, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x66b94833, "ip6tun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x3f39121a, "register_pernet_device" },
	{ 0xd204eeb2, "xfrm6_tunnel_register" },
	{ 0xdbf2da5, "rtnl_link_register" },
	{ 0x23291df2, "xfrm6_tunnel_deregister" },
	{ 0x52facc46, "unregister_pernet_device" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x80eb1833, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc860310e, "rt6_lookup" },
	{ 0xfaf80370, "dst_release" },
	{ 0xea5a523a, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x469d5cb0, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xb99f5fbc, "init_net" },
	{ 0x5450775c, "alloc_netdev_mqs" },
	{ 0x93d74222, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4846d3d1, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb9571b36, "rtnl_link_unregister" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x6925b8f1, "gro_cells_init" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x292e0e35, "__pskb_pull_tail" },
	{ 0xcaf2e247, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x78ee80f0, "netdev_state_change" },
	{ 0x801a44c5, "make_kuid" },
	{ 0xbf2ede7f, "ip6_redirect" },
	{ 0xb94cccdd, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xa47a4a5c, "dst_cache_get" },
	{ 0x510ef6b5, "skb_scrub_packet" },
	{ 0xabbb6fa2, "skb_realloc_headroom" },
	{ 0x86a794eb, "skb_set_owner_w" },
	{ 0x3271fd6b, "consume_skb" },
	{ 0x4d16a84d, "ipv6_push_frag_opts" },
	{ 0x49d58c6f, "skb_push" },
	{ 0x305c2622, "ip6_local_out" },
	{ 0xafd5d4d1, "ip6_route_output_flags" },
	{ 0xdf22ffdf, "ipv6_dev_get_saddr" },
	{ 0x376ef933, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x924da05f, "skb_copy_bits" },
	{ 0xd8affd2e, "ip6_dst_hoplimit" },
	{ 0x5fb8ac17, "neigh_destroy" },
	{ 0xc12b0c55, "skb_clone" },
	{ 0xe05e173c, "skb_pull" },
	{ 0xac7ac66d, "__icmpv6_send" },
	{ 0xac2fae3b, "sk_skb_reason_drop" },
	{ 0x2679605, "gro_cells_receive" },
	{ 0x51769539, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x73c25e77, "ip_route_output_flow" },
	{ 0x9648e59c, "ip_route_input_noref" },
	{ 0x6ee3cf47, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xb9b8f984, "__iptunnel_pull_header" },
	{ 0x19c28fb9, "metadata_dst_alloc" },
	{ 0x45daa88, "iptunnel_handle_offloads" },
	{ 0xed4765c9, "icmpv6_ndo_send" },
	{ 0xbb3306e2, "icmp_ndo_send" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xbc7211ce, "ns_capable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x97ef5740, "dev_get_tstats64" },
	{ 0x23c17100, "param_ops_bool" },
	{ 0x8471e883, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "3DD7C01CB2A7CAF119C80A5");
MODULE_INFO(rhelversion, "9.7");
